/haloitsm-assets | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
haloitsm_assets_create_asset | POST /Asset |
haloitsm_assets_create_asset_type | POST /AssetType |
haloitsm_assets_delete_asset_by_id | DELETE /Asset/{id} |
haloitsm_assets_delete_asset_type_by_id | DELETE /AssetType/{id} |
haloitsm_assets_get_asset_by_id | Get one Device |
haloitsm_assets_get_asset_type_by_id | Get one Xtype |
haloitsm_assets_list_asset | List of Device |
haloitsm_assets_list_asset_get_all_software_versions | GET /Asset/GetAllSoftwareVersions |
haloitsm_assets_list_asset_next_tag | GET /Asset/NextTag |
haloitsm_assets_list_asset_type | List of Xtype |
haloitsm_assets_create_asset
POST /Asset Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"os_override": {
"type": "string",
"description": "Os Override"
},
"purchaseorder_id": {
"type": "integer",
"format": "int32",
"description": "Purchaseorder Id"
},
"id": {
"type": "integer",
"format": "int32",
"description": "The id value"
},
"changeguid": {
"type": "string",
"format": "uuid",
"description": "The changeguid value"
},
"intent": {
"type": "string",
"description": "The intent value"
},
"inventory_number": {
"type": "string",
"description": "Inventory Number"
},
"key_field": {
"type": "string",
"description": "Key Field"
},
"key_field2": {
"type": "string",
"description": "Key Field2"
},
"key_field3": {
"type": "string",
"description": "Key Field3"
},
"client_id": {
"type": "integer",
"format": "int32",
"description": "Client Id"
},
"client_name": {
"type": "string",
"description": "Client Name"
},
"site_id": {
"type": "integer",
"format": "int32",
"description": "Site Id"
},
"site_name": {
"type": "string",
"description": "Site Name"
},
"business_owner_id": {
"type": "integer",
"format": "int32",
"description": "Business Owner Id"
},
"business_owner_name": {
"type": "string",
"description": "Business Owner Name"
},
"business_owner_site": {
"type": "string",
"description": "Business Owner Site"
},
"business_owner_client": {
"type": "string",
"description": "Business Owner Client"
},
"business_owner_cab_id": {
"type": "integer",
"format": "int32",
"description": "Business Owner Cab Id"
},
"business_owner_cab_name": {
"type": "string",
"description": "Business Owner Cab Name"
},
"username": {
"type": "string",
"description": "The username value"
},
"technical_owner_id": {
"type": "integer",
"format": "int32",
"description": "Technical Owner Id"
},
"technical_owner_name": {
"type": "string",
"description": "Technical Owner Name"
},
"technical_owner_cab_id": {
"type": "integer",
"format": "int32",
"description": "Technical Owner Cab Id"
},
"technical_owner_cab_name": {
"type": "string",
"description": "Technical Owner Cab Name"
},
"intune_default_site": {
"type": "integer",
"format": "int32",
"description": "Intune Default Site"
},
"assettype_id": {
"type": "integer",
"format": "int32",
"description": "Assettype Id"
},
"assettype_name": {
"type": "string",
"description": "Assettype Name"
},
"colour": {
"type": "string",
"description": "The colour value"
},
"icon": {
"type": "string",
"description": "The icon value"
},
"warranty_end": {
"type": "string",
"format": "date-time",
"description": "Warranty End"
},
"inactive": {
"type": "boolean",
"description": "The inactive value"
},
"is_primary_asset": {
"type": "boolean",
"description": "Is Primary Asset"
},
"parent_id": {
"type": "integer",
"format": "int32",
"description": "Parent Id"
},
"lansweeper_parent_id": {
"type": "string",
"description": "Lansweeper Parent Id"
},
"child_id": {
"type": "integer",
"format": "int32",
"description": "Child Id"
},
"sibling_id": {
"type": "boolean",
"description": "Sibling Id"
},
"contract_value": {
"type": "number",
"format": "double",
"description": "Contract Value"
},
"contract_ref": {
"type": "string",
"description": "Contract Ref"
},
"supplier_id": {
"type": "integer",
"format": "int32",
"description": "Supplier Id"
},
"supplier_name": {
"type": "string",
"description": "Supplier Name"
},
"manufacturer_id": {
"type": "integer",
"format": "int32",
"description": "Manufacturer Id"
},
"manufacturer_name": {
"type": "string",
"description": "Manufacturer Name"
},
"supplier_contract_id": {
"type": "integer",
"format": "int32",
"description": "Supplier Contract Id"
},
"supplier_contract_ref": {
"type": "string",
"description": "Supplier Contract Ref"
},
"supplier_sla_id": {
"type": "integer",
"format": "int32",
"description": "Supplier Sla Id"
},
"supplier_priority_id": {
"type": "integer",
"format": "int32",
"description": "Supplier Priority Id"
},
"fields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"validate": {
"type": "string"
},
"value": {},
"display": {
"type": "string"
},
"mandatory": {
"type": "boolean"
},
"showonactivity": {
"type": "boolean"
},
"lookup": {
"type": "integer"
},
"systemuse": {
"type": "integer"
},
"parenttype_id": {
"type": "integer"
},
"url": {
"type": "string"
},
"mapping_id": {
"type": "integer"
},
"access_level": {
"type": "integer"
},
"show_on_relationship_edit": {
"type": "boolean"
},
"no_change_history": {
"type": "boolean"
},
"typeinfo_id": {
"type": "integer"
},
"tab_id": {
"type": "integer"
},
"tab_name": {
"type": "string"
},
"tab_sequence": {
"type": "integer"
},
"tab_columns": {
"type": "integer"
},
"groupname": {
"type": "string"
},
"techdetail": {
"type": "integer"
},
"userdetail": {
"type": "integer"
},
"group_visibility_conditions": {
"type": "array"
},
"hint_type": {
"type": "integer"
},
"hint": {
"type": "string"
},
"extratype": {
"type": "integer"
},
"lookup_method": {
"type": "integer"
},
"load_type": {
"type": "integer"
},
"sql_connection_type": {
"type": "integer"
},
"sql_server": {
"type": "string"
},
"sql_database": {
"type": "string"
},
"sql_user": {
"type": "string"
},
"sql_certificate_id": {
"type": "integer"
},
"sqllookup": {
"type": "string"
},
"where_sql": {
"type": "string"
},
"integration_method_id": {
"type": "integer"
},
"integration_method_value": {
"type": "integer"
},
"value_property": {
"type": "string"
},
"display_property": {
"type": "string"
},
"addunknown": {
"type": "boolean"
},
"ordervalueby": {
"type": "integer"
},
"max_selection": {
"type": "integer"
},
"integration_method_value_name": {
"type": "string"
},
"sql_new_password": {
"type": "string"
},
"sqlcfvariables": {
"type": "array"
},
"require_uniqueness": {
"type": "boolean"
}
}
},
"description": "The fields value"
},
"customfields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"label": {
"type": "string"
},
"summary": {
"type": "string"
},
"type": {
"type": "integer"
},
"value": {},
"value_is_password_id": {
"type": "boolean"
},
"display": {
"type": "string"
},
"characterlimit": {
"type": "integer"
},
"characterlimittype": {
"type": "integer"
},
"inputtype": {
"type": "integer"
},
"copytochild": {
"type": "boolean"
},
"copytoparent": {
"type": "boolean"
},
"searchable": {
"type": "boolean"
},
"ordervalues": {
"type": "boolean"
},
"ordervaluesby": {
"type": "integer"
},
"database_lookup_id": {
"type": "integer"
},
"database_lookup_auto": {
"type": "boolean"
},
"database_lookup_triggers": {
"type": "array"
},
"third_party_name": {
"type": "string"
},
"extratype": {
"type": "integer"
},
"copytochildonupdate": {
"type": "boolean"
},
"copytograndchildonupdate": {
"type": "boolean"
},
"copytoparentonupdate": {
"type": "boolean"
},
"hyperlink": {
"type": "string"
},
"usage": {
"type": "integer"
},
"linked_table_id": {
"type": "integer"
},
"showondetailsscreen": {
"type": "boolean"
},
"third_party_value": {
"type": "string"
},
"custom_extra_table_id": {
"type": "integer"
},
"copytorelated": {
"type": "boolean"
},
"only_validate_on_creation": {
"type": "boolean"
},
"calculation": {
"type": "string"
},
"rounding": {
"type": "integer"
},
"validation_reasons": {
"type": "array"
},
"int_value_is_display": {
"type": "boolean"
},
"regex": {
"type": "string"
},
"onlyshowforagents": {
"type": "boolean"
},
"is_horizontal": {
"type": "boolean"
},
"copied": {
"type": "boolean"
},
"isencrypted": {
"type": "boolean"
},
"max_selection": {
"type": "integer"
},
"guid": {
"type": "string"
},
"selection_field_id": {
"type": "integer"
},
"variable_format_1": {
"type": "string"
},
"variable_format_2": {
"type": "string"
},
"validation_data": {
"type": "array"
},
"database_lookup_input": {
"type": "integer"
},
"table_data_entry_type": {
"type": "integer"
},
"showintable": {
"type": "boolean"
},
"table_height": {
"type": "integer"
},
"dont_delete_rows": {
"type": "boolean"
},
"table_matching_field": {
"type": "integer"
},
"new_storage_method": {
"type": "boolean"
},
"where_sql": {
"type": "string"
},
"load_type": {
"type": "integer"
},
"add_rows": {
"type": "boolean"
},
"delete_these_rows": {
"type": "array"
},
"showinpool": {
"type": "boolean"
},
"allow_pool_override": {
"type": "boolean"
},
"details_column_group": {
"type": "integer"
},
"add_row_per_value": {
"type": "boolean"
},
"store_in_fielddata": {
"type": "boolean"
},
"first_value_default": {
"type": "boolean"
},
"copytoparentnewticket": {
"type": "boolean"
}
}
},
"description": "The customfields value"
},
"relationship_id": {
"type": "integer",
"format": "int32",
"description": "Relationship Id"
},
"default_contract_value": {
"type": "number",
"format": "double",
"description": "Default Contract Value"
},
"itemstock_id": {
"type": "integer",
"format": "int32",
"description": "Itemstock Id"
},
"item_id": {
"type": "integer",
"format": "int32",
"description": "Item Id"
},
"stock_date": {
"type": "string",
"format": "date-time",
"description": "Stock Date"
},
"non_consignable": {
"type": "boolean",
"description": "Non Consignable"
},
"reserved_salesorder_id": {
"type": "integer",
"format": "int32",
"description": "Reserved Salesorder Id"
},
"reserved_salesorder_line_id": {
"type": "integer",
"format": "int32",
"description": "Reserved Salesorder Line Id"
},
"matching_field": {
"type": "string",
"description": "Matching Field"
},
"is_auto_picking_asset_tag": {
"type": "boolean",
"description": "Is Auto Picking Asset Tag"
},
"device42_id": {
"type": "integer",
"format": "int32",
"description": "Device42 Id"
},
"device42_url": {
"type": "string",
"description": "Device42 Url"
},
"related_services": {
"type": "string",
"description": "Related Services"
},
"technical_owner": {
"type": "string",
"description": "Technical Owner"
},
"business_owner": {
"type": "string",
"description": "Business Owner"
},
"primary_asset_chart_json": {
"type": "string",
"description": "Primary Asset Chart Json"
},
"criticality": {
"type": "integer",
"format": "int32",
"description": "The criticality value"
},
"service_id": {
"type": "integer",
"format": "int32",
"description": "Service Id"
},
"ascendant_count": {
"type": "integer",
"format": "int32",
"description": "Ascendant Count"
},
"ascendant_assets": {
"type": "array",
"items": {
"type": "object"
},
"description": "Ascendant Assets"
},
"descendant_count": {
"type": "integer",
"format": "int32",
"description": "Descendant Count"
},
"descendant_assets": {
"type": "array",
"items": {
"type": "object"
},
"description": "Descendant Assets"
},
"service_count": {
"type": "integer",
"format": "int32",
"description": "Service Count"
},
"user_count": {
"type": "integer",
"format": "int32",
"description": "User Count"
},
"licence_count": {
"type": "integer",
"format": "int32",
"description": "Licence Count"
},
"notes": {
"type": "string",
"description": "The notes value"
},
"pingservice": {
"type": "integer",
"format": "int32",
"description": "The pingservice value"
},
"guid": {
"type": "string",
"description": "The guid value"
},
"import_guid": {
"type": "string",
"format": "uuid",
"description": "Import Guid"
},
"contract_id": {
"type": "integer",
"format": "int32",
"description": "Contract Id"
},
"contractvaluecurrent": {
"type": "number",
"format": "double",
"description": "The contractvaluecurrent value"
},
"contractvalueprior": {
"type": "number",
"format": "double",
"description": "The contractvalueprior value"
},
"warranty_note": {
"type": "string",
"description": "Warranty Note"
},
"goodsin_po_id": {
"type": "integer",
"format": "int32",
"description": "Goodsin Po Id"
},
"issue_consignment_id": {
"type": "integer",
"format": "int32",
"description": "Issue Consignment Id"
},
"supplier_expirydate": {
"type": "string",
"format": "date-time",
"description": "Supplier Expirydate"
},
"supplier_reference": {
"type": "string",
"description": "Supplier Reference"
},
"third_party_id_string": {
"type": "string",
"description": "Third Party Id String"
},
"supplierheaderid": {
"type": "integer",
"format": "int32",
"description": "The supplierheaderid value"
},
"purchaseorder_line_id": {
"type": "integer",
"format": "int32",
"description": "Purchaseorder Line Id"
},
"teamviewerpassword": {
"type": "string",
"description": "The teamviewerpassword value"
},
"commissioned": {
"type": "integer",
"format": "int32",
"description": "The commissioned value"
},
"kaseyaid": {
"type": "string",
"description": "The kaseyaid value"
},
"children": {
"type": "array",
"items": {
"type": "object"
},
"description": "The children value"
},
"parent_assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"changeguid": {
"type": "string"
},
"intent": {
"type": "string"
},
"inventory_number": {
"type": "string"
},
"key_field": {
"type": "string"
},
"key_field2": {
"type": "string"
},
"key_field3": {
"type": "string"
},
"client_id": {
"type": "integer"
},
"client_name": {
"type": "string"
},
"site_id": {
"type": "integer"
},
"site_name": {
"type": "string"
},
"business_owner_id": {
"type": "integer"
},
"business_owner_name": {
"type": "string"
},
"business_owner_site": {
"type": "string"
},
"business_owner_client": {
"type": "string"
},
"business_owner_cab_id": {
"type": "integer"
},
"business_owner_cab_name": {
"type": "string"
},
"username": {
"type": "string"
},
"technical_owner_id": {
"type": "integer"
},
"technical_owner_name": {
"type": "string"
},
"technical_owner_cab_id": {
"type": "integer"
},
"technical_owner_cab_name": {
"type": "string"
},
"intune_default_site": {
"type": "integer"
},
"assettype_id": {
"type": "integer"
},
"assettype_name": {
"type": "string"
},
"colour": {
"type": "string"
},
"icon": {
"type": "string"
},
"warranty_end": {
"type": "string"
},
"inactive": {
"type": "boolean"
},
"is_primary_asset": {
"type": "boolean"
},
"parent_id": {
"type": "integer"
},
"lansweeper_parent_id": {
"type": "string"
},
"child_id": {
"type": "integer"
},
"sibling_id": {
"type": "boolean"
},
"contract_value": {
"type": "number"
},
"contract_ref": {
"type": "string"
},
"contract_id": {
"type": "integer"
},
"supplier_id": {
"type": "integer"
},
"supplier_name": {
"type": "string"
},
"manufacturer_id": {
"type": "integer"
},
"manufacturer_name": {
"type": "string"
},
"supplier_contract_id": {
"type": "integer"
},
"supplier_contract_ref": {
"type": "string"
},
"supplier_sla_id": {
"type": "integer"
},
"supplier_priority_id": {
"type": "integer"
},
"fields": {
"type": "array"
},
"customfields": {
"type": "array"
},
"relationship_id": {
"type": "integer"
},
"default_contract_value": {
"type": "number"
},
"itemstock_id": {
"type": "integer"
},
"item_id": {
"type": "integer"
},
"stock_date": {
"type": "string"
},
"non_consignable": {
"type": "boolean"
},
"reserved_salesorder_id": {
"type": "integer"
},
"reserved_salesorder_line_id": {
"type": "integer"
},
"matching_field": {
"type": "string"
},
"is_auto_picking_asset_tag": {
"type": "boolean"
},
"device42_id": {
"type": "integer"
},
"device42_url": {
"type": "string"
},
"related_services": {
"type": "string"
},
"technical_owner": {
"type": "string"
},
"business_owner": {
"type": "string"
},
"primary_asset_chart_json": {
"type": "string"
},
"criticality": {
"type": "integer"
},
"service_id": {
"type": "integer"
},
"key": {
"type": "integer"
},
"table": {
"type": "integer"
},
"use": {
"type": "string"
},
"device_number": {
"type": "integer"
},
"assettype_guid": {
"type": "string"
},
"owning_portfolio_name": {
"type": "string"
},
"owning_service_name": {
"type": "string"
},
"owning_businessapp_name": {
"type": "string"
},
"owning_ci_name": {
"type": "string"
},
"warranty_start": {
"type": "string"
},
"labour_warranty_start": {
"type": "string"
},
"labour_warranty_end": {
"type": "string"
},
"parent_guid": {
"type": "string"
},
"child_guid": {
"type": "string"
},
"status_id": {
"type": "integer"
},
"status_name": {
"type": "string"
},
"third_party_id": {
"type": "integer"
},
"sla_name": {
"type": "string"
},
"priority_name": {
"type": "string"
},
"latest_contract_ref": {
"type": "string"
},
"sequence": {
"type": "integer"
},
"ncentral_url": {
"type": "string"
},
"ncentral_remote_url": {
"type": "string"
},
"contract_end_date": {
"type": "string"
},
"atera_id": {
"type": "string"
},
"automate_id": {
"type": "integer"
},
"automate_url": {
"type": "string"
},
"connectwise_control_url": {
"type": "string"
},
"ninjarmm_id": {
"type": "integer"
},
"ninja_url": {
"type": "string"
},
"ninja_remote_url": {
"type": "string"
},
"syncro_url": {
"type": "string"
},
"syncroid": {
"type": "integer"
},
"itglue_url": {
"type": "string"
},
"defaultsequence": {
"type": "integer"
},
"service_ids": {
"type": "string"
},
"bulkcreated": {
"type": "boolean"
},
"bulkbillingperiod": {
"type": "integer"
},
"asset_field": {
"type": "string"
},
"datto_alternate_id": {
"type": "integer"
},
"syncro_id": {
"type": "string"
},
"domotz_id": {
"type": "string"
},
"snow_id": {
"type": "integer"
},
"passportal_id": {
"type": "integer"
},
"auvik_device_id": {
"type": "string"
},
"auvik_url": {
"type": "string"
},
"allowallstatus": {
"type": "boolean"
},
"allowed_status": {
"type": "array"
},
"allowallcustombuttons": {
"type": "boolean"
},
"allowed_custombuttons": {
"type": "array"
},
"datto_id": {
"type": "string"
},
"addigy_id": {
"type": "string"
},
"liongard_url": {
"type": "string"
},
"liongard_environmnet_id": {
"type": "integer"
},
"liongard_id": {
"type": "string"
},
"kaseya_id": {
"type": "string"
},
"iskaseyaagent": {
"type": "boolean"
},
"kaseyavsa_url": {
"type": "string"
},
"addigy_url": {
"type": "string"
},
"teamviewerid": {
"type": "string"
},
"serialization_user": {
"type": "integer"
},
"zabbix_id": {
"type": "string"
},
"zabbix_url": {
"type": "string"
},
"stockbin_name": {
"type": "string"
},
"issue_consignment_line_id": {
"type": "integer"
},
"item_name": {
"type": "string"
},
"datto_url": {
"type": "string"
},
"ncentral_details_id": {
"type": "integer"
},
"nable_id": {
"type": "string"
},
"connectwisecontrolid": {
"type": "string"
},
"_isimport": {
"type": "boolean"
},
"_importtype": {
"type": "string"
},
"workspace_id": {
"type": "string"
},
"workspace_url": {
"type": "string"
},
"intune_id": {
"type": "string"
},
"supplier_purchasedate": {
"type": "string"
},
"logicmonitor_id": {
"type": "string"
},
"barracudarmm_id": {
"type": "string"
},
"sla_id": {
"type": "integer"
},
"priority_id": {
"type": "integer"
},
"icinga_id": {
"type": "string"
},
"related_service_name": {
"type": "string"
},
"related_service_count": {
"type": "integer"
},
"connectwisermm_id": {
"type": "string"
},
"xensam_id": {
"type": "string"
},
"asset_type_priority": {
"type": "integer"
},
"snipeit_id": {
"type": "string"
},
"prometheus_id": {
"type": "string"
},
"dynatrace_id": {
"type": "string"
},
"vmworkspace_id": {
"type": "string"
},
"tanium_id": {
"type": "string"
},
"tenable_id": {
"type": "string"
},
"kandji_id": {
"type": "string"
},
"criticality_description": {
"type": "string"
},
"auvik_id": {
"type": "string"
},
"is_template": {
"type": "boolean"
},
"aws_id": {
"type": "string"
},
"manageengine_id": {
"type": "string"
},
"manageengine_customer_id": {
"type": "string"
},
"lastchangeofvaluedate": {
"type": "string"
},
"commissiondate": {
"type": "string"
},
"first_user_id": {
"type": "integer"
},
"changebackupexists": {
"type": "boolean"
},
"_isbatch": {
"type": "boolean"
},
"virima_id": {
"type": "string"
},
"service_guid": {
"type": "string"
},
"service_name": {
"type": "string"
},
"lansweeperid": {
"type": "string"
},
"eracent_id": {
"type": "string"
},
"changehistory_last_updated": {
"type": "string"
},
"changehistory_updated_by": {
"type": "string"
},
"changehistory_created_by": {
"type": "string"
},
"changehistory_created_date": {
"type": "string"
},
"auto_link": {
"type": "boolean"
},
"impact_statement": {
"type": "string"
},
"activity_statement": {
"type": "string"
},
"raynet_id": {
"type": "string"
},
"armis_id": {
"type": "string"
},
"kaseyavsax_id": {
"type": "string"
},
"diagram_field1": {
"type": "string"
},
"diagram_field2": {
"type": "string"
},
"diagram_field3": {
"type": "string"
},
"ci_type": {
"type": "integer"
},
"manually_linked_ticket": {
"type": "boolean"
},
"_importtypeid": {
"type": "integer"
},
"_importthirdpartyid": {
"type": "string"
},
"new_external_link": {
"type": "object"
},
"import_details_id": {
"type": "integer"
},
"_isupdateimport": {
"type": "boolean"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"_match_integration_button_caption": {
"type": "string"
},
"_match_integration_button_url": {
"type": "string"
},
"_match_integration_button_icon": {
"type": "string"
}
}
},
"description": "Parent Assets"
},
"child_assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"changeguid": {
"type": "string"
},
"intent": {
"type": "string"
},
"inventory_number": {
"type": "string"
},
"key_field": {
"type": "string"
},
"key_field2": {
"type": "string"
},
"key_field3": {
"type": "string"
},
"client_id": {
"type": "integer"
},
"client_name": {
"type": "string"
},
"site_id": {
"type": "integer"
},
"site_name": {
"type": "string"
},
"business_owner_id": {
"type": "integer"
},
"business_owner_name": {
"type": "string"
},
"business_owner_site": {
"type": "string"
},
"business_owner_client": {
"type": "string"
},
"business_owner_cab_id": {
"type": "integer"
},
"business_owner_cab_name": {
"type": "string"
},
"username": {
"type": "string"
},
"technical_owner_id": {
"type": "integer"
},
"technical_owner_name": {
"type": "string"
},
"technical_owner_cab_id": {
"type": "integer"
},
"technical_owner_cab_name": {
"type": "string"
},
"intune_default_site": {
"type": "integer"
},
"assettype_id": {
"type": "integer"
},
"assettype_name": {
"type": "string"
},
"colour": {
"type": "string"
},
"icon": {
"type": "string"
},
"warranty_end": {
"type": "string"
},
"inactive": {
"type": "boolean"
},
"is_primary_asset": {
"type": "boolean"
},
"parent_id": {
"type": "integer"
},
"lansweeper_parent_id": {
"type": "string"
},
"child_id": {
"type": "integer"
},
"sibling_id": {
"type": "boolean"
},
"contract_value": {
"type": "number"
},
"contract_ref": {
"type": "string"
},
"contract_id": {
"type": "integer"
},
"supplier_id": {
"type": "integer"
},
"supplier_name": {
"type": "string"
},
"manufacturer_id": {
"type": "integer"
},
"manufacturer_name": {
"type": "string"
},
"supplier_contract_id": {
"type": "integer"
},
"supplier_contract_ref": {
"type": "string"
},
"supplier_sla_id": {
"type": "integer"
},
"supplier_priority_id": {
"type": "integer"
},
"fields": {
"type": "array"
},
"customfields": {
"type": "array"
},
"relationship_id": {
"type": "integer"
},
"default_contract_value": {
"type": "number"
},
"itemstock_id": {
"type": "integer"
},
"item_id": {
"type": "integer"
},
"stock_date": {
"type": "string"
},
"non_consignable": {
"type": "boolean"
},
"reserved_salesorder_id": {
"type": "integer"
},
"reserved_salesorder_line_id": {
"type": "integer"
},
"matching_field": {
"type": "string"
},
"is_auto_picking_asset_tag": {
"type": "boolean"
},
"device42_id": {
"type": "integer"
},
"device42_url": {
"type": "string"
},
"related_services": {
"type": "string"
},
"technical_owner": {
"type": "string"
},
"business_owner": {
"type": "string"
},
"primary_asset_chart_json": {
"type": "string"
},
"criticality": {
"type": "integer"
},
"service_id": {
"type": "integer"
},
"key": {
"type": "integer"
},
"table": {
"type": "integer"
},
"use": {
"type": "string"
},
"device_number": {
"type": "integer"
},
"assettype_guid": {
"type": "string"
},
"owning_portfolio_name": {
"type": "string"
},
"owning_service_name": {
"type": "string"
},
"owning_businessapp_name": {
"type": "string"
},
"owning_ci_name": {
"type": "string"
},
"warranty_start": {
"type": "string"
},
"labour_warranty_start": {
"type": "string"
},
"labour_warranty_end": {
"type": "string"
},
"parent_guid": {
"type": "string"
},
"child_guid": {
"type": "string"
},
"status_id": {
"type": "integer"
},
"status_name": {
"type": "string"
},
"third_party_id": {
"type": "integer"
},
"sla_name": {
"type": "string"
},
"priority_name": {
"type": "string"
},
"latest_contract_ref": {
"type": "string"
},
"sequence": {
"type": "integer"
},
"ncentral_url": {
"type": "string"
},
"ncentral_remote_url": {
"type": "string"
},
"contract_end_date": {
"type": "string"
},
"atera_id": {
"type": "string"
},
"automate_id": {
"type": "integer"
},
"automate_url": {
"type": "string"
},
"connectwise_control_url": {
"type": "string"
},
"ninjarmm_id": {
"type": "integer"
},
"ninja_url": {
"type": "string"
},
"ninja_remote_url": {
"type": "string"
},
"syncro_url": {
"type": "string"
},
"syncroid": {
"type": "integer"
},
"itglue_url": {
"type": "string"
},
"defaultsequence": {
"type": "integer"
},
"service_ids": {
"type": "string"
},
"bulkcreated": {
"type": "boolean"
},
"bulkbillingperiod": {
"type": "integer"
},
"asset_field": {
"type": "string"
},
"datto_alternate_id": {
"type": "integer"
},
"syncro_id": {
"type": "string"
},
"domotz_id": {
"type": "string"
},
"snow_id": {
"type": "integer"
},
"passportal_id": {
"type": "integer"
},
"auvik_device_id": {
"type": "string"
},
"auvik_url": {
"type": "string"
},
"allowallstatus": {
"type": "boolean"
},
"allowed_status": {
"type": "array"
},
"allowallcustombuttons": {
"type": "boolean"
},
"allowed_custombuttons": {
"type": "array"
},
"datto_id": {
"type": "string"
},
"addigy_id": {
"type": "string"
},
"liongard_url": {
"type": "string"
},
"liongard_environmnet_id": {
"type": "integer"
},
"liongard_id": {
"type": "string"
},
"kaseya_id": {
"type": "string"
},
"iskaseyaagent": {
"type": "boolean"
},
"kaseyavsa_url": {
"type": "string"
},
"addigy_url": {
"type": "string"
},
"teamviewerid": {
"type": "string"
},
"serialization_user": {
"type": "integer"
},
"zabbix_id": {
"type": "string"
},
"zabbix_url": {
"type": "string"
},
"stockbin_name": {
"type": "string"
},
"issue_consignment_line_id": {
"type": "integer"
},
"item_name": {
"type": "string"
},
"datto_url": {
"type": "string"
},
"ncentral_details_id": {
"type": "integer"
},
"nable_id": {
"type": "string"
},
"connectwisecontrolid": {
"type": "string"
},
"_isimport": {
"type": "boolean"
},
"_importtype": {
"type": "string"
},
"workspace_id": {
"type": "string"
},
"workspace_url": {
"type": "string"
},
"intune_id": {
"type": "string"
},
"supplier_purchasedate": {
"type": "string"
},
"logicmonitor_id": {
"type": "string"
},
"barracudarmm_id": {
"type": "string"
},
"sla_id": {
"type": "integer"
},
"priority_id": {
"type": "integer"
},
"icinga_id": {
"type": "string"
},
"related_service_name": {
"type": "string"
},
"related_service_count": {
"type": "integer"
},
"connectwisermm_id": {
"type": "string"
},
"xensam_id": {
"type": "string"
},
"asset_type_priority": {
"type": "integer"
},
"snipeit_id": {
"type": "string"
},
"prometheus_id": {
"type": "string"
},
"dynatrace_id": {
"type": "string"
},
"vmworkspace_id": {
"type": "string"
},
"tanium_id": {
"type": "string"
},
"tenable_id": {
"type": "string"
},
"kandji_id": {
"type": "string"
},
"criticality_description": {
"type": "string"
},
"auvik_id": {
"type": "string"
},
"is_template": {
"type": "boolean"
},
"aws_id": {
"type": "string"
},
"manageengine_id": {
"type": "string"
},
"manageengine_customer_id": {
"type": "string"
},
"lastchangeofvaluedate": {
"type": "string"
},
"commissiondate": {
"type": "string"
},
"first_user_id": {
"type": "integer"
},
"changebackupexists": {
"type": "boolean"
},
"_isbatch": {
"type": "boolean"
},
"virima_id": {
"type": "string"
},
"service_guid": {
"type": "string"
},
"service_name": {
"type": "string"
},
"lansweeperid": {
"type": "string"
},
"eracent_id": {
"type": "string"
},
"changehistory_last_updated": {
"type": "string"
},
"changehistory_updated_by": {
"type": "string"
},
"changehistory_created_by": {
"type": "string"
},
"changehistory_created_date": {
"type": "string"
},
"auto_link": {
"type": "boolean"
},
"impact_statement": {
"type": "string"
},
"activity_statement": {
"type": "string"
},
"raynet_id": {
"type": "string"
},
"armis_id": {
"type": "string"
},
"kaseyavsax_id": {
"type": "string"
},
"diagram_field1": {
"type": "string"
},
"diagram_field2": {
"type": "string"
},
"diagram_field3": {
"type": "string"
},
"ci_type": {
"type": "integer"
},
"manually_linked_ticket": {
"type": "boolean"
},
"_importtypeid": {
"type": "integer"
},
"_importthirdpartyid": {
"type": "string"
},
"new_external_link": {
"type": "object"
},
"import_details_id": {
"type": "integer"
},
"_isupdateimport": {
"type": "boolean"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"_match_integration_button_caption": {
"type": "string"
},
"_match_integration_button_url": {
"type": "string"
},
"_match_integration_button_icon": {
"type": "string"
}
}
},
"description": "Child Assets"
},
"hierarchy": {
"type": "array",
"items": {
"type": "object"
},
"description": "The hierarchy value"
},
"users": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"site_id": {
"type": "number"
},
"site_id_int": {
"type": "integer"
},
"site_name": {
"type": "string"
},
"client_name": {
"type": "string"
},
"firstname": {
"type": "string"
},
"surname": {
"type": "string"
},
"initials": {
"type": "string"
},
"title": {
"type": "string"
},
"emailaddress": {
"type": "string"
},
"email2": {
"type": "string"
},
"email3": {
"type": "string"
},
"phonenumber_preferred": {
"type": "string"
},
"sitephonenumber": {
"type": "string"
},
"phonenumber": {
"type": "string"
},
"homenumber": {
"type": "string"
},
"mobilenumber": {
"type": "string"
},
"mobilenumber2": {
"type": "string"
},
"fax": {
"type": "string"
},
"telpref": {
"type": "integer"
},
"activedirectory_dn": {
"type": "string"
},
"onpremise_activedirectory_dn": {
"type": "string"
},
"container_dn": {
"type": "string"
},
"login": {
"type": "string"
},
"inactive": {
"type": "boolean"
},
"colour": {
"type": "string"
},
"isimportantcontact": {
"type": "boolean"
},
"other1": {
"type": "string"
},
"other2": {
"type": "string"
},
"other3": {
"type": "string"
},
"other4": {
"type": "string"
},
"other5": {
"type": "string"
},
"notes": {
"type": "string"
},
"neversendemails": {
"type": "boolean"
},
"default_currency_code": {
"type": "integer"
},
"site_guid": {
"type": "string"
},
"area_guid": {
"type": "string"
},
"site_cautomate_guid": {
"type": "string"
},
"priority_id": {
"type": "integer"
},
"linked_agent_id": {
"type": "integer"
},
"covered_by_contract": {
"type": "boolean"
},
"contract_value": {
"type": "number"
},
"software_role_name": {
"type": "string"
},
"customfields": {
"type": "array"
},
"attachments": {
"type": "array"
},
"relationship_id": {
"type": "integer"
},
"user_relationships": {
"type": "array"
},
"uddevsite": {
"type": "integer"
},
"uddevnum": {
"type": "integer"
},
"uduserid": {
"type": "integer"
},
"userdevicerolecount": {
"type": "integer"
},
"site_hubspot_guid": {
"type": "string"
},
"isserviceaccount": {
"type": "boolean"
},
"ignoreautomatedbilling": {
"type": "boolean"
},
"isimportantcontact2": {
"type": "boolean"
},
"connectwiseid": {
"type": "integer"
},
"autotaskid": {
"type": "integer"
},
"messagegroup_id": {
"type": "integer"
},
"role_list": {
"type": "string"
},
"sitetimezone": {
"type": "string"
},
"client_account_manager_id": {
"type": "integer"
},
"use": {
"type": "string"
},
"key": {
"type": "integer"
},
"table": {
"type": "integer"
},
"client_id": {
"type": "integer"
},
"item_tax_code": {
"type": "integer"
},
"automatic_sales_tax": {
"type": "boolean"
},
"client_taxable": {
"type": "boolean"
},
"overridepdftemplatequote": {
"type": "integer"
},
"overridepdftemplatequote_name": {
"type": "string"
},
"contract_end_date": {
"type": "string"
},
"okta_id": {
"type": "string"
},
"azure_id": {
"type": "string"
},
"user_with_clientsite": {
"type": "string"
},
"client_automatic_callscript_id": {
"type": "integer"
},
"neversendmarketingemails": {
"type": "boolean"
},
"is_prospect": {
"type": "boolean"
},
"whatsapp_number": {
"type": "string"
},
"azureoid": {
"type": "string"
},
"approver_note_hint": {
"type": "string"
},
"language_id": {
"type": "integer"
},
"date_of_birth": {
"type": "string"
},
"role_ids": {
"type": "array"
},
"avalara_tenant": {
"type": "integer"
},
"sailpoint_id": {
"type": "string"
},
"_importtypeid": {
"type": "integer"
},
"_importthirdpartyid": {
"type": "string"
},
"_importtype": {
"type": "string"
},
"new_external_link": {
"type": "object"
},
"import_details_id": {
"type": "integer"
},
"_isupdateimport": {
"type": "boolean"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"_match_integration_button_caption": {
"type": "string"
},
"_match_integration_button_url": {
"type": "string"
},
"_match_integration_button_icon": {
"type": "string"
}
}
},
"description": "The users value"
},
"clone_count": {
"type": "integer",
"format": "int32",
"description": "Clone Count"
},
"_dontaddnewfields": {
"type": "boolean",
"description": "The dontaddnewfields value"
},
"_dontupdatetype": {
"type": "boolean",
"description": "The dontupdatetype value"
},
"sla_name": {
"type": "string",
"description": "Sla Name"
},
"supplier_sla_name": {
"type": "string",
"description": "Supplier Sla Name"
},
"priority_name": {
"type": "string",
"description": "Priority Name"
},
"supplier_priority_name": {
"type": "string",
"description": "Supplier Priority Name"
},
"clone_inventory_numbers": {
"type": "string",
"description": "Clone Inventory Numbers"
},
"_isclone": {
"type": "boolean",
"description": "The isclone value"
},
"contracts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"client_id": {
"type": "integer"
},
"client_name": {
"type": "string"
},
"ref": {
"type": "string"
},
"refextra": {
"type": "string"
},
"start_date": {
"type": "string"
},
"end_date": {
"type": "string"
},
"started": {
"type": "boolean"
},
"expired": {
"type": "boolean"
},
"numberofunitsfree": {
"type": "number"
},
"billingperiod": {
"type": "integer"
},
"billingdescription": {
"type": "integer"
},
"subtype": {
"type": "integer"
},
"status": {
"type": "integer"
},
"site_id": {
"type": "integer"
},
"site_name": {
"type": "string"
},
"user_id": {
"type": "integer"
},
"user_name": {
"type": "string"
},
"sla_id": {
"type": "integer"
},
"periodicinvoicenextdate": {
"type": "string"
},
"next_invoice_date": {
"type": "string"
},
"periodchargeamount": {
"type": "number"
},
"note": {
"type": "string"
},
"asset_value": {
"type": "number"
},
"refextra2": {
"type": "string"
},
"contract_status": {
"type": "string"
},
"asset_sequence": {
"type": "integer"
},
"next_call_date": {
"type": "string"
},
"accounts_override_mailbox": {
"type": "integer"
},
"use": {
"type": "string"
},
"key": {
"type": "integer"
},
"table": {
"type": "integer"
},
"last_modified": {
"type": "string"
},
"asset_end_date": {
"type": "string"
},
"contracttype": {
"type": "integer"
},
"contracttype_name": {
"type": "string"
},
"prepayrecurringchargebp": {
"type": "integer"
},
"force_recalculation": {
"type": "boolean"
},
"cost_calculation": {
"type": "string"
},
"active": {
"type": "boolean"
},
"sent_to_oracle": {
"type": "boolean"
},
"customfields": {
"type": "array"
},
"createdby_id": {
"type": "integer"
},
"createdby_name": {
"type": "string"
},
"billingcategory": {
"type": "integer"
},
"_importtypeid": {
"type": "integer"
},
"_importthirdpartyid": {
"type": "string"
},
"_importtype": {
"type": "string"
},
"new_external_link": {
"type": "object"
},
"import_details_id": {
"type": "integer"
},
"_isupdateimport": {
"type": "boolean"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"_match_integration_button_caption": {
"type": "string"
},
"_match_integration_button_url": {
"type": "string"
},
"_match_integration_button_icon": {
"type": "string"
}
}
},
"description": "The contracts value"
},
"site_guid": {
"type": "string",
"description": "Site Guid"
},
"sqlimport_user": {
"type": "string",
"description": "Sqlimport User"
},
"sqlimport_id": {
"type": "integer",
"format": "int32",
"description": "Sqlimport Id"
},
"software": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"licence_id": {
"type": "integer"
},
"name": {
"type": "string"
},
"count": {
"type": "integer"
},
"did": {
"type": "integer"
},
"bundledesc": {
"type": "string"
},
"cost": {
"type": "number"
},
"lastused": {
"type": "string"
},
"install_date": {
"type": "string"
},
"expiry_date": {
"type": "string"
},
"snowid": {
"type": "string"
},
"licence_required": {
"type": "boolean"
},
"version": {
"type": "string"
},
"licence_name": {
"type": "string"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"role_name": {
"type": "string"
},
"moduleid": {
"type": "integer"
},
"new_users": {
"type": "array"
},
"new_devices": {
"type": "array"
},
"_warning": {
"type": "string"
}
}
},
"description": "The software value"
},
"businesscentral_id": {
"type": "string",
"description": "Businesscentral Id"
},
"intune_id": {
"type": "string",
"description": "Intune Id"
},
"intune_connectionid": {
"type": "integer",
"format": "int32",
"description": "Intune Connectionid"
},
"azure_userid": {
"type": "string",
"description": "Azure Userid"
},
"azure_userprincipalname": {
"type": "string",
"description": "Azure Userprincipalname"
},
"stockdetails": {
"type": "object",
"description": "The stockdetails value"
},
"assetgroup_name": {
"type": "string",
"description": "Assetgroup Name"
},
"prtg_id": {
"type": "integer",
"format": "int32",
"description": "Prtg Id"
},
"prtg_details_id": {
"type": "integer",
"format": "int32",
"description": "Prtg Details Id"
},
"status_name": {
"type": "string",
"description": "Status Name"
},
"services": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"guid": {
"type": "string"
},
"intent": {
"type": "string"
},
"name": {
"type": "string"
},
"display_name": {
"type": "string"
},
"summary": {
"type": "string"
},
"sequence": {
"type": "integer"
},
"showinusercatalog": {
"type": "boolean"
},
"showintechcatalog": {
"type": "boolean"
},
"trackstatus": {
"type": "boolean"
},
"service_category_id": {
"type": "integer"
},
"service_category_guid": {
"type": "string"
},
"service_category_name": {
"type": "string"
},
"business_owner_id": {
"type": "integer"
},
"business_owner_name": {
"type": "string"
},
"business_owner_cab_id": {
"type": "integer"
},
"business_owner_cab_name": {
"type": "string"
},
"technical_owner_id": {
"type": "integer"
},
"technical_owner_name": {
"type": "string"
},
"technical_owner_cab_id": {
"type": "integer"
},
"technical_owner_cab_name": {
"type": "string"
},
"compliance_owner_id": {
"type": "integer"
},
"compliance_owner_name": {
"type": "string"
},
"compliance_owner_cab_id": {
"type": "integer"
},
"compliance_owner_cab_name": {
"type": "string"
},
"cost": {
"type": "number"
},
"estimated_delivery": {
"type": "integer"
},
"estimated_delivery_days": {
"type": "integer"
},
"subscribable": {
"type": "boolean"
},
"subscriber_count": {
"type": "integer"
},
"asset_count": {
"type": "integer"
},
"assettype_id": {
"type": "integer"
},
"assettype_ids": {
"type": "string"
},
"current_status": {
"type": "integer"
},
"status_message_update_internal": {
"type": "string"
},
"status_message_update_public": {
"type": "string"
},
"using_default_public_message": {
"type": "boolean"
},
"status_ticket_id": {
"type": "integer"
},
"status_date": {
"type": "string"
},
"service_tickettype_id": {
"type": "integer"
},
"serviceshownewreqscreen": {
"type": "boolean"
},
"service_template_id": {
"type": "integer"
},
"newservicereqtype": {
"type": "integer"
},
"incident_tickettype_id": {
"type": "integer"
},
"incident_template_id": {
"type": "integer"
},
"newincidenttype": {
"type": "integer"
},
"relatedworkdayid": {
"type": "integer"
},
"status_end_date": {
"type": "string"
},
"status_ticket_start_date": {
"type": "string"
},
"status_ticket_end_date": {
"type": "string"
},
"requestdetails_count": {
"type": "integer"
},
"requestdetails_id": {
"type": "integer"
},
"requestdetail_url": {
"type": "string"
},
"requestdetail_shownewreqscreen": {
"type": "boolean"
},
"requestdetail_type": {
"type": "integer"
},
"screenafterlogging": {
"type": "integer"
},
"pricingrange": {
"type": "number"
},
"override_site_id": {
"type": "integer"
},
"failcreaterequest": {
"type": "boolean"
},
"workdays": {
"type": "integer"
},
"checkminutes": {
"type": "integer"
},
"failalwaysnewrequest": {
"type": "boolean"
},
"criticality": {
"type": "integer"
},
"search_score": {
"type": "number"
},
"device_id": {
"type": "integer"
},
"use": {
"type": "string"
},
"icon": {
"type": "string"
},
"relatedworkdayid_name": {
"type": "string"
},
"relatedworkdayid_content": {
"type": "string"
},
"status_message_update_internal_html": {
"type": "string"
},
"status_message_update_public_html": {
"type": "string"
},
"future_statuses": {
"type": "array"
},
"current_statuses": {
"type": "array"
},
"service_url": {
"type": "string"
},
"incident_url": {
"type": "string"
},
"access_control": {
"type": "array"
},
"access_control_level": {
"type": "integer"
},
"_isimport": {
"type": "boolean"
},
"link": {
"type": "string"
},
"tag_string": {
"type": "string"
},
"device_guid": {
"type": "string"
},
"device_name": {
"type": "string"
},
"servicedetailshtml_list": {
"type": "string"
},
"owningservice": {
"type": "integer"
},
"owningservice_guid": {
"type": "string"
},
"owning_service_name": {
"type": "string"
},
"fault_service_type": {
"type": "integer"
},
"auto_link": {
"type": "boolean"
},
"user_subscribed": {
"type": "boolean"
},
"search_count": {
"type": "integer"
},
"ticket_count": {
"type": "integer"
}
}
},
"description": "The services value"
},
"datto_site_uid": {
"type": "string",
"description": "Datto Site Uid"
},
"ateraid": {
"type": "string",
"description": "The ateraid value"
},
"items_issued": {
"type": "array",
"items": {
"type": "object",
"properties": {
"ticket_id": {
"type": "integer"
},
"id": {
"type": "integer"
},
"item_id": {
"type": "integer"
},
"quantity": {
"type": "number"
},
"quantity_shipped": {
"type": "number"
},
"unit": {
"type": "integer"
},
"costprice": {
"type": "number"
},
"price": {
"type": "number"
},
"status": {
"type": "string"
},
"date_shipped": {
"type": "string"
},
"note": {
"type": "string"
},
"note2": {
"type": "string"
},
"name": {
"type": "string"
},
"supplier_part_code": {
"type": "string"
},
"stocklocation_id": {
"type": "integer"
},
"stocklocation_name": {
"type": "string"
},
"quantity_in_stock": {
"type": "number"
},
"asset_number": {
"type": "integer"
},
"asset_site": {
"type": "integer"
},
"warranty_reported": {
"type": "boolean"
},
"selected": {
"type": "boolean"
},
"stock_adjusted_already": {
"type": "boolean"
},
"cost_centre": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"assetgroup_name": {
"type": "string"
},
"assettype_id": {
"type": "integer"
},
"assettype_name": {
"type": "string"
},
"supplier_name": {
"type": "string"
},
"tax": {
"type": "number"
},
"item_tax_code": {
"type": "integer"
},
"item_taxable": {
"type": "boolean"
},
"item_generic": {
"type": "integer"
},
"item_recurring": {
"type": "boolean"
},
"item_internal_reference": {
"type": "string"
},
"item_external_reference": {
"type": "string"
},
"item_tax_name": {
"type": "string"
},
"net_total": {
"type": "number"
},
"total_price": {
"type": "number"
},
"total_tax": {
"type": "number"
},
"total_net_total": {
"type": "number"
},
"consignment_ids": {
"type": "array"
},
"asset_id": {
"type": "integer"
},
"from_order_id": {
"type": "integer"
},
"from_order_line": {
"type": "integer"
},
"reserved_assets": {
"type": "array"
},
"inventory_number": {
"type": "string"
},
"stockbin_id": {
"type": "integer"
},
"asset_type_matching_field_name": {
"type": "string"
},
"_warning": {
"type": "string"
},
"budgettype_id": {
"type": "integer"
},
"serialise_only_one": {
"type": "boolean"
},
"recurringinvoice_id": {
"type": "integer"
},
"dont_track_stock": {
"type": "boolean"
}
}
},
"description": "Items Issued"
},
"lansweeper_id": {
"type": "string",
"description": "Lansweeper Id"
},
"lansweeper_url": {
"type": "string",
"description": "Lansweeper Url"
},
"lansweeper_software": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"publisher": {
"type": "string"
},
"version": {
"type": "string"
},
"installDate": {
"type": "string"
}
}
},
"description": "Lansweeper Software"
},
"dlastupdate": {
"type": "string",
"format": "date-time",
"description": "The dlastupdate value"
},
"createdfrompurchaseorder": {
"type": "object",
"description": "The createdfrompurchaseorder value"
},
"stockdate": {
"type": "string",
"format": "date-time",
"description": "The stockdate value"
},
"item_cost": {
"type": "number",
"format": "double",
"description": "Item Cost"
},
"old_software_version": {
"type": "string",
"description": "Old Software Version"
},
"new_software_version": {
"type": "string",
"description": "New Software Version"
},
"user_role_breakdown": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"count": {
"type": "integer"
}
}
},
"description": "User Role Breakdown"
},
"itglue_id": {
"type": "string",
"description": "Itglue Id"
},
"area_guid": {
"type": "string",
"description": "Area Guid"
},
"jamf_id": {
"type": "integer",
"format": "int32",
"description": "Jamf Id"
},
"jamf_type": {
"type": "string",
"description": "Jamf Type"
},
"phone_number": {
"type": "string",
"description": "Phone Number"
},
"bookmarked": {
"type": "boolean",
"description": "The bookmarked value"
},
"open_ticket_count": {
"type": "integer",
"format": "int32",
"description": "Open Ticket Count"
},
"onhold_ticket_count": {
"type": "integer",
"format": "int32",
"description": "Onhold Ticket Count"
},
"total_ticket_count": {
"type": "integer",
"format": "int32",
"description": "Total Ticket Count"
},
"opened_thismonth_count": {
"type": "integer",
"format": "int32",
"description": "Opened Thismonth Count"
},
"domotz_agentid": {
"type": "integer",
"format": "int32",
"description": "Domotz Agentid"
},
"domotz_id": {
"type": "integer",
"format": "int32",
"description": "Domotz Id"
},
"domotz_type_id": {
"type": "integer",
"format": "int32",
"description": "Domotz Type Id"
},
"snow_client_id": {
"type": "integer",
"format": "int32",
"description": "Snow Client Id"
},
"deactivate_child_devices": {
"type": "boolean",
"description": "Deactivate Child Devices"
},
"auvik_network_id": {
"type": "string",
"description": "Auvik Network Id"
},
"parent_third_party_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "Parent Third Party Ids"
},
"snowUsers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"customerId": {
"type": "integer"
},
"username": {
"type": "string"
},
"lastLogon": {
"type": "string"
},
"fullName": {
"type": "string"
},
"updatedDate": {
"type": "string"
},
"updatedBy": {
"type": "string"
},
"logonCount": {
"type": "integer"
},
"userIsAccessible": {
"type": "boolean"
}
}
},
"description": "Snow Users"
},
"tab_config": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"usage": {
"type": "integer"
},
"entity_id": {
"type": "integer"
},
"screenlayout_id": {
"type": "integer"
},
"tab_id": {
"type": "integer"
},
"tab_name": {
"type": "string"
},
"sequence": {
"type": "integer"
},
"display": {
"type": "integer"
},
"icon_override": {
"type": "boolean"
},
"new_icon": {
"type": "string"
},
"nosidemenu": {
"type": "boolean"
},
"url": {
"type": "string"
},
"open_in_new_tab": {
"type": "boolean"
},
"icon": {
"type": "string"
}
}
},
"description": "Tab Config"
},
"qualys_id": {
"type": "string",
"description": "Qualys Id"
},
"assettype_config": {
"type": "object",
"description": "Assettype Config"
},
"passportal_client_id": {
"type": "integer",
"format": "int64",
"description": "Passportal Client Id"
},
"addigy_policy_id": {
"type": "string",
"description": "Addigy Policy Id"
},
"addigy_applications": {
"type": "array",
"items": {
"type": "object",
"properties": {
"version": {
"type": "string"
},
"path": {
"type": "string"
},
"name": {
"type": "string"
},
"orgid": {
"type": "string"
},
"agentid": {
"type": "string"
}
}
},
"description": "Addigy Applications"
},
"addigy_users": {
"type": "array",
"items": {
"type": "string"
},
"description": "Addigy Users"
},
"_warning": {
"type": "string",
"description": "The warning value"
},
"isassetdetails": {
"type": "boolean",
"description": "The isassetdetails value"
},
"domotz_agent": {
"type": "string",
"description": "Domotz Agent"
},
"liongardid": {
"type": "integer",
"format": "int32",
"description": "The liongardid value"
},
"iskaseyaagent": {
"type": "boolean",
"description": "The iskaseyaagent value"
},
"_donotvalidate": {
"type": "boolean",
"description": "The donotvalidate value"
},
"datto_remote_url": {
"type": "string",
"description": "Datto Remote Url"
},
"qualys_software": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"version": {
"type": "string"
}
}
},
"description": "Qualys Software"
},
"xtypeunamecanedit": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"create": {
"type": "boolean"
},
"read": {
"type": "boolean"
},
"edit": {
"type": "boolean"
},
"viewatt": {
"type": "boolean"
},
"uploadatt": {
"type": "boolean"
},
"downloadatt": {
"type": "boolean"
},
"editatt": {
"type": "boolean"
},
"viewactionhistory": {
"type": "boolean"
}
}
},
"description": "The xtypeunamecanedit value"
},
"external_links": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"table_id": {
"type": "integer"
},
"module_id": {
"type": "integer"
},
"integration_name": {
"type": "string"
},
"halo_id": {
"type": "integer"
},
"third_party_id": {
"type": "string"
},
"third_party_desc": {
"type": "string"
},
"third_party_type": {
"type": "string"
},
"third_party_url": {
"type": "string"
},
"third_party_assigned_to": {
"type": "string"
},
"third_party_count": {
"type": "integer"
},
"primary": {
"type": "boolean"
},
"halo_desc": {
"type": "string"
},
"halo_second_id": {
"type": "integer"
},
"halo_second_desc": {
"type": "string"
},
"extra_match_field": {
"type": "string"
},
"details_id": {
"type": "integer"
},
"third_party_secondary_id": {
"type": "string"
},
"_warning": {
"type": "string"
},
"third_party_status": {
"type": "string"
},
"third_party_priority": {
"type": "string"
},
"_match": {
"type": "boolean"
},
"populate_url": {
"type": "boolean"
},
"date_created": {
"type": "string"
},
"date_updated": {
"type": "string"
},
"subscription_id": {
"type": "string"
},
"new_subscription_key": {
"type": "string"
},
"subscription_expiry": {
"type": "string"
},
"_webhookaction": {
"type": "integer"
},
"revisions": {
"type": "integer"
},
"dont_move_existing_assets": {
"type": "boolean"
},
"chat_message_count": {
"type": "integer"
},
"third_party_additional_id": {
"type": "string"
},
"description": {
"type": "string"
},
"update_existing_link": {
"type": "boolean"
},
"filters": {
"type": "array"
},
"parent_id": {
"type": "integer"
},
"child_links": {
"type": "array"
},
"url_for_linked_entity": {
"type": "string"
},
"url_for_linked_entity_caption": {
"type": "string"
},
"icon_for_linked_entity_caption": {
"type": "string"
}
}
},
"description": "External Links"
},
"new_external_link": {
"type": "object",
"description": "New External Link"
},
"_match_additional_id": {
"type": "string",
"description": "Match Additional Id"
},
"_match_integration_button_caption": {
"type": "string",
"description": "Match Integration Button Caption"
},
"_match_integration_button_url": {
"type": "string",
"description": "Match Integration Button Url"
},
"_match_integration_button_icon": {
"type": "string",
"description": "Match Integration Button Icon"
},
"stockbin_id": {
"type": "integer",
"format": "int32",
"description": "Stockbin Id"
},
"ethernetMacAddress": {
"type": "string",
"description": "Ethernet Mac Address"
},
"physicalMemoryInBytes": {
"type": "string",
"description": "Physical Memory In Bytes"
},
"azureTenantId": {
"type": "string",
"description": "Azure Tenant Id"
},
"services_hierarchy": {
"type": "array",
"items": {
"type": "object",
"properties": {
"sendemailtype": {
"type": "integer"
},
"email_subscriber_count": {
"type": "integer"
},
"id": {
"type": "integer"
},
"guid": {
"type": "string"
},
"intent": {
"type": "string"
},
"name": {
"type": "string"
},
"display_name": {
"type": "string"
},
"summary": {
"type": "string"
},
"sequence": {
"type": "integer"
},
"showinusercatalog": {
"type": "boolean"
},
"showintechcatalog": {
"type": "boolean"
},
"trackstatus": {
"type": "boolean"
},
"service_category_id": {
"type": "integer"
},
"service_category_guid": {
"type": "string"
},
"service_category_name": {
"type": "string"
},
"business_owner_id": {
"type": "integer"
},
"business_owner_name": {
"type": "string"
},
"business_owner_cab_id": {
"type": "integer"
},
"business_owner_cab_name": {
"type": "string"
},
"technical_owner_id": {
"type": "integer"
},
"technical_owner_name": {
"type": "string"
},
"technical_owner_cab_id": {
"type": "integer"
},
"technical_owner_cab_name": {
"type": "string"
},
"compliance_owner_id": {
"type": "integer"
},
"compliance_owner_name": {
"type": "string"
},
"compliance_owner_cab_id": {
"type": "integer"
},
"compliance_owner_cab_name": {
"type": "string"
},
"cost": {
"type": "number"
},
"estimated_delivery": {
"type": "integer"
},
"estimated_delivery_days": {
"type": "integer"
},
"subscribable": {
"type": "boolean"
},
"subscriber_count": {
"type": "integer"
},
"asset_count": {
"type": "integer"
},
"assettype_id": {
"type": "integer"
},
"assettype_ids": {
"type": "string"
},
"current_status": {
"type": "integer"
},
"status_message_update_internal": {
"type": "string"
},
"status_message_update_public": {
"type": "string"
},
"using_default_public_message": {
"type": "boolean"
},
"status_ticket_id": {
"type": "integer"
},
"status_date": {
"type": "string"
},
"service_tickettype_id": {
"type": "integer"
},
"serviceshownewreqscreen": {
"type": "boolean"
},
"service_template_id": {
"type": "integer"
},
"newservicereqtype": {
"type": "integer"
},
"incident_tickettype_id": {
"type": "integer"
},
"incident_template_id": {
"type": "integer"
},
"newincidenttype": {
"type": "integer"
},
"relatedworkdayid": {
"type": "integer"
},
"status_end_date": {
"type": "string"
},
"status_ticket_start_date": {
"type": "string"
},
"status_ticket_end_date": {
"type": "string"
},
"requestdetails_count": {
"type": "integer"
},
"requestdetails_id": {
"type": "integer"
},
"requestdetail_url": {
"type": "string"
},
"requestdetail_shownewreqscreen": {
"type": "boolean"
},
"requestdetail_type": {
"type": "integer"
},
"screenafterlogging": {
"type": "integer"
},
"pricingrange": {
"type": "number"
},
"override_site_id": {
"type": "integer"
},
"failcreaterequest": {
"type": "boolean"
},
"workdays": {
"type": "integer"
},
"checkminutes": {
"type": "integer"
},
"failalwaysnewrequest": {
"type": "boolean"
},
"criticality": {
"type": "integer"
},
"search_score": {
"type": "number"
},
"device_id": {
"type": "integer"
},
"override_site_name": {
"type": "string"
},
"override": {
"type": "integer"
},
"checkmon": {
"type": "boolean"
},
"checktue": {
"type": "boolean"
},
"checkwed": {
"type": "boolean"
},
"checkthu": {
"type": "boolean"
},
"checkfri": {
"type": "boolean"
},
"checksat": {
"type": "boolean"
},
"checksun": {
"type": "boolean"
},
"servicekind": {
"type": "integer"
},
"url": {
"type": "string"
},
"param1": {
"type": "string"
},
"param2": {
"type": "string"
},
"param3": {
"type": "string"
},
"min": {
"type": "integer"
},
"max": {
"type": "integer"
},
"note": {
"type": "string"
},
"pop3serverid": {
"type": "integer"
},
"pop3serverid_name": {
"type": "string"
},
"subject": {
"type": "string"
},
"body": {
"type": "string"
},
"fromaddr": {
"type": "string"
},
"toaddr": {
"type": "string"
},
"enabled": {
"type": "boolean"
},
"oksubject": {
"type": "string"
},
"okbody": {
"type": "string"
},
"okfromaddr": {
"type": "string"
},
"oktoaddr": {
"type": "string"
},
"okany": {
"type": "boolean"
},
"failsubject": {
"type": "string"
},
"failbody": {
"type": "string"
},
"failfromaddr": {
"type": "string"
},
"failtoaddr": {
"type": "string"
},
"failany": {
"type": "boolean"
},
"wdid": {
"type": "integer"
},
"cat2": {
"type": "string"
},
"workdays_name": {
"type": "string"
},
"photopath": {
"type": "string"
},
"allowincidients": {
"type": "boolean"
},
"allowoptin": {
"type": "boolean"
},
"service_tickettype_name": {
"type": "string"
},
"service_template_name": {
"type": "string"
},
"incident_tickettype_name": {
"type": "string"
},
"incident_template_name": {
"type": "string"
},
"autoemail": {
"type": "boolean"
},
"servicedetailshtml": {
"type": "string"
},
"alsosubscribe": {
"type": "integer"
},
"allowunsubscribe": {
"type": "boolean"
},
"allowservicerequests": {
"type": "boolean"
},
"userlevel": {
"type": "integer"
},
"showonmyservicespage": {
"type": "boolean"
},
"assettype_name": {
"type": "string"
},
"smsmessage": {
"type": "string"
},
"servicerequestlbl": {
"type": "string"
},
"servicerequesthint": {
"type": "string"
},
"incidentlbl": {
"type": "string"
},
"incidenthint": {
"type": "string"
},
"allowall_category1": {
"type": "boolean"
},
"allowed_category1": {
"type": "array"
},
"allowall_category2": {
"type": "boolean"
},
"allowed_category2": {
"type": "array"
},
"allowall_category3": {
"type": "boolean"
},
"allowed_category3": {
"type": "array"
},
"allowall_category4": {
"type": "boolean"
},
"allowed_category4": {
"type": "array"
},
"seq": {
"type": "integer"
},
"unsubscribe_ticketortemplate": {
"type": "integer"
},
"unsubscribe_tickettype_id": {
"type": "integer"
},
"unsubscribe_template_id": {
"type": "integer"
},
"create_on_unsubscribe": {
"type": "boolean"
},
"unsubscribe_all": {
"type": "boolean"
},
"field_id": {
"type": "integer"
},
"field_name": {
"type": "string"
},
"tickettype_name": {
"type": "string"
},
"template_name": {
"type": "string"
},
"recent_servicerequest_count": {
"type": "integer"
},
"recent_incident_count": {
"type": "integer"
},
"open_incident_count": {
"type": "integer"
},
"open_servicerequest_count": {
"type": "integer"
},
"user_access": {
"type": "array"
},
"group_user_access": {
"type": "array"
},
"subscribers": {
"type": "array"
},
"group_subscribers": {
"type": "array"
},
"linked_services": {
"type": "array"
},
"assets": {
"type": "array"
},
"update_status": {
"type": "boolean"
},
"user": {
"type": "object"
},
"emailtemplate": {
"type": "integer"
},
"send_service_email": {
"type": "boolean"
},
"preview_service_email": {
"type": "boolean"
},
"service_email_from": {
"type": "integer"
},
"service_email_subject": {
"type": "string"
},
"service_email_html": {
"type": "string"
},
"allowfollowfault": {
"type": "boolean"
},
"status_subscribedtoupdates": {
"type": "boolean"
},
"unsubcount": {
"type": "integer"
},
"new_icon": {
"type": "string"
},
"_warning": {
"type": "string"
},
"showinrelatedservices": {
"type": "boolean"
},
"user_canunsubscribe": {
"type": "boolean"
},
"customfields": {
"type": "array"
},
"translations": {
"type": "array"
},
"optional_services": {
"type": "array"
},
"isservicedetails": {
"type": "boolean"
},
"statushistoryportal": {
"type": "boolean"
},
"status_history": {
"type": "array"
},
"service_request_details": {
"type": "array"
},
"device_child_id": {
"type": "integer"
},
"device_count": {
"type": "integer"
},
"incidentonly": {
"type": "boolean"
},
"cat_phonenumber": {
"type": "string"
},
"kbs": {
"type": "array"
},
"search_index_sync_timestamp": {
"type": "string"
},
"search_index_sync_batches": {
"type": "integer"
},
"preview_when_logging": {
"type": "integer"
},
"tags": {
"type": "array"
},
"track_availability": {
"type": "boolean"
},
"tracking_period": {
"type": "integer"
},
"tracking_target": {
"type": "number"
},
"delay_avilability_calc": {
"type": "integer"
},
"service_category_mappings": {
"type": "array"
},
"is_linked_service": {
"type": "boolean"
},
"is_linked_businessapp": {
"type": "boolean"
},
"show_in_favourites": {
"type": "integer"
},
"_isclone": {
"type": "boolean"
},
"use": {
"type": "string"
},
"icon": {
"type": "string"
},
"relatedworkdayid_name": {
"type": "string"
},
"relatedworkdayid_content": {
"type": "string"
},
"status_message_update_internal_html": {
"type": "string"
},
"status_message_update_public_html": {
"type": "string"
},
"future_statuses": {
"type": "array"
},
"current_statuses": {
"type": "array"
},
"service_url": {
"type": "string"
},
"incident_url": {
"type": "string"
},
"access_control": {
"type": "array"
},
"access_control_level": {
"type": "integer"
},
"_isimport": {
"type": "boolean"
},
"link": {
"type": "string"
},
"tag_string": {
"type": "string"
},
"device_guid": {
"type": "string"
},
"device_name": {
"type": "string"
},
"servicedetailshtml_list": {
"type": "string"
},
"owningservice": {
"type": "integer"
},
"owningservice_guid": {
"type": "string"
},
"owning_service_name": {
"type": "string"
},
"fault_service_type": {
"type": "integer"
},
"auto_link": {
"type": "boolean"
},
"user_subscribed": {
"type": "boolean"
},
"search_count": {
"type": "integer"
},
"ticket_count": {
"type": "integer"
}
}
},
"description": "Services Hierarchy"
},
"_validateonly": {
"type": "boolean",
"description": "The validateonly value"
},
"copy_unmapped_info_fields": {
"type": "boolean",
"description": "Copy Unmapped Info Fields"
},
"user_email": {
"type": "string",
"description": "User Email"
},
"lansweeper_relations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"childAssetKey": {
"type": "string"
},
"lastChanged": {
"type": "string"
},
"parentAssetKey": {
"type": "string"
},
"startDate": {
"type": "string"
},
"endDate": {
"type": "string"
},
"comment": {
"type": "string"
},
"name": {
"type": "string"
}
}
},
"description": "Lansweeper Relations"
},
"kbs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"description": {
"type": "string"
},
"view_count": {
"type": "integer"
},
"useful_count": {
"type": "integer"
},
"notuseful_count": {
"type": "integer"
},
"date_created": {
"type": "string"
},
"date_edited": {
"type": "string"
},
"tag_string": {
"type": "string"
},
"inactive": {
"type": "boolean"
},
"type": {
"type": "integer"
},
"next_review_date": {
"type": "string"
},
"customfields": {
"type": "array"
},
"limit_start_date": {
"type": "string"
},
"limit_end_date": {
"type": "string"
},
"editor_type": {
"type": "integer"
},
"kb_tags": {
"type": "string"
},
"agent_view_count": {
"type": "integer"
},
"confluence_url": {
"type": "string"
},
"search_score": {
"type": "number"
},
"resolution_list": {
"type": "string"
},
"link": {
"type": "string"
},
"geo_restrictions": {
"type": "array"
},
"use": {
"type": "string"
},
"key": {
"type": "integer"
},
"table": {
"type": "integer"
},
"ticket_template_id": {
"type": "integer"
},
"faqdseq": {
"type": "integer"
},
"faqliststr": {
"type": "string"
},
"faqlists": {
"type": "array"
},
"description_list": {
"type": "string"
},
"key_copy": {
"type": "string"
},
"all_version_view_count": {
"type": "integer"
},
"search_count": {
"type": "integer"
},
"_importtypeid": {
"type": "integer"
},
"_importthirdpartyid": {
"type": "string"
},
"_importtype": {
"type": "string"
},
"new_external_link": {
"type": "object"
},
"import_details_id": {
"type": "integer"
},
"_isupdateimport": {
"type": "boolean"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"_match_integration_button_caption": {
"type": "string"
},
"_match_integration_button_url": {
"type": "string"
},
"_match_integration_button_icon": {
"type": "string"
}
}
},
"description": "The kbs value"
},
"site_external_link_id": {
"type": "string",
"description": "Site External Link Id"
},
"workspace_orgunitpath": {
"type": "string",
"description": "Workspace Orgunitpath"
},
"sibling_assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"changeguid": {
"type": "string"
},
"intent": {
"type": "string"
},
"inventory_number": {
"type": "string"
},
"key_field": {
"type": "string"
},
"key_field2": {
"type": "string"
},
"key_field3": {
"type": "string"
},
"client_id": {
"type": "integer"
},
"client_name": {
"type": "string"
},
"site_id": {
"type": "integer"
},
"site_name": {
"type": "string"
},
"business_owner_id": {
"type": "integer"
},
"business_owner_name": {
"type": "string"
},
"business_owner_site": {
"type": "string"
},
"business_owner_client": {
"type": "string"
},
"business_owner_cab_id": {
"type": "integer"
},
"business_owner_cab_name": {
"type": "string"
},
"username": {
"type": "string"
},
"technical_owner_id": {
"type": "integer"
},
"technical_owner_name": {
"type": "string"
},
"technical_owner_cab_id": {
"type": "integer"
},
"technical_owner_cab_name": {
"type": "string"
},
"intune_default_site": {
"type": "integer"
},
"assettype_id": {
"type": "integer"
},
"assettype_name": {
"type": "string"
},
"colour": {
"type": "string"
},
"icon": {
"type": "string"
},
"warranty_end": {
"type": "string"
},
"inactive": {
"type": "boolean"
},
"is_primary_asset": {
"type": "boolean"
},
"parent_id": {
"type": "integer"
},
"lansweeper_parent_id": {
"type": "string"
},
"child_id": {
"type": "integer"
},
"sibling_id": {
"type": "boolean"
},
"contract_value": {
"type": "number"
},
"contract_ref": {
"type": "string"
},
"contract_id": {
"type": "integer"
},
"supplier_id": {
"type": "integer"
},
"supplier_name": {
"type": "string"
},
"manufacturer_id": {
"type": "integer"
},
"manufacturer_name": {
"type": "string"
},
"supplier_contract_id": {
"type": "integer"
},
"supplier_contract_ref": {
"type": "string"
},
"supplier_sla_id": {
"type": "integer"
},
"supplier_priority_id": {
"type": "integer"
},
"fields": {
"type": "array"
},
"customfields": {
"type": "array"
},
"relationship_id": {
"type": "integer"
},
"default_contract_value": {
"type": "number"
},
"itemstock_id": {
"type": "integer"
},
"item_id": {
"type": "integer"
},
"stock_date": {
"type": "string"
},
"non_consignable": {
"type": "boolean"
},
"reserved_salesorder_id": {
"type": "integer"
},
"reserved_salesorder_line_id": {
"type": "integer"
},
"matching_field": {
"type": "string"
},
"is_auto_picking_asset_tag": {
"type": "boolean"
},
"device42_id": {
"type": "integer"
},
"device42_url": {
"type": "string"
},
"related_services": {
"type": "string"
},
"technical_owner": {
"type": "string"
},
"business_owner": {
"type": "string"
},
"primary_asset_chart_json": {
"type": "string"
},
"criticality": {
"type": "integer"
},
"service_id": {
"type": "integer"
},
"key": {
"type": "integer"
},
"table": {
"type": "integer"
},
"use": {
"type": "string"
},
"device_number": {
"type": "integer"
},
"assettype_guid": {
"type": "string"
},
"owning_portfolio_name": {
"type": "string"
},
"owning_service_name": {
"type": "string"
},
"owning_businessapp_name": {
"type": "string"
},
"owning_ci_name": {
"type": "string"
},
"warranty_start": {
"type": "string"
},
"labour_warranty_start": {
"type": "string"
},
"labour_warranty_end": {
"type": "string"
},
"parent_guid": {
"type": "string"
},
"child_guid": {
"type": "string"
},
"status_id": {
"type": "integer"
},
"status_name": {
"type": "string"
},
"third_party_id": {
"type": "integer"
},
"sla_name": {
"type": "string"
},
"priority_name": {
"type": "string"
},
"latest_contract_ref": {
"type": "string"
},
"sequence": {
"type": "integer"
},
"ncentral_url": {
"type": "string"
},
"ncentral_remote_url": {
"type": "string"
},
"contract_end_date": {
"type": "string"
},
"atera_id": {
"type": "string"
},
"automate_id": {
"type": "integer"
},
"automate_url": {
"type": "string"
},
"connectwise_control_url": {
"type": "string"
},
"ninjarmm_id": {
"type": "integer"
},
"ninja_url": {
"type": "string"
},
"ninja_remote_url": {
"type": "string"
},
"syncro_url": {
"type": "string"
},
"syncroid": {
"type": "integer"
},
"itglue_url": {
"type": "string"
},
"defaultsequence": {
"type": "integer"
},
"service_ids": {
"type": "string"
},
"bulkcreated": {
"type": "boolean"
},
"bulkbillingperiod": {
"type": "integer"
},
"asset_field": {
"type": "string"
},
"datto_alternate_id": {
"type": "integer"
},
"syncro_id": {
"type": "string"
},
"domotz_id": {
"type": "string"
},
"snow_id": {
"type": "integer"
},
"passportal_id": {
"type": "integer"
},
"auvik_device_id": {
"type": "string"
},
"auvik_url": {
"type": "string"
},
"allowallstatus": {
"type": "boolean"
},
"allowed_status": {
"type": "array"
},
"allowallcustombuttons": {
"type": "boolean"
},
"allowed_custombuttons": {
"type": "array"
},
"datto_id": {
"type": "string"
},
"addigy_id": {
"type": "string"
},
"liongard_url": {
"type": "string"
},
"liongard_environmnet_id": {
"type": "integer"
},
"liongard_id": {
"type": "string"
},
"kaseya_id": {
"type": "string"
},
"iskaseyaagent": {
"type": "boolean"
},
"kaseyavsa_url": {
"type": "string"
},
"addigy_url": {
"type": "string"
},
"teamviewerid": {
"type": "string"
},
"serialization_user": {
"type": "integer"
},
"zabbix_id": {
"type": "string"
},
"zabbix_url": {
"type": "string"
},
"stockbin_name": {
"type": "string"
},
"issue_consignment_line_id": {
"type": "integer"
},
"item_name": {
"type": "string"
},
"datto_url": {
"type": "string"
},
"ncentral_details_id": {
"type": "integer"
},
"nable_id": {
"type": "string"
},
"connectwisecontrolid": {
"type": "string"
},
"_isimport": {
"type": "boolean"
},
"_importtype": {
"type": "string"
},
"workspace_id": {
"type": "string"
},
"workspace_url": {
"type": "string"
},
"intune_id": {
"type": "string"
},
"supplier_purchasedate": {
"type": "string"
},
"logicmonitor_id": {
"type": "string"
},
"barracudarmm_id": {
"type": "string"
},
"sla_id": {
"type": "integer"
},
"priority_id": {
"type": "integer"
},
"icinga_id": {
"type": "string"
},
"related_service_name": {
"type": "string"
},
"related_service_count": {
"type": "integer"
},
"connectwisermm_id": {
"type": "string"
},
"xensam_id": {
"type": "string"
},
"asset_type_priority": {
"type": "integer"
},
"snipeit_id": {
"type": "string"
},
"prometheus_id": {
"type": "string"
},
"dynatrace_id": {
"type": "string"
},
"vmworkspace_id": {
"type": "string"
},
"tanium_id": {
"type": "string"
},
"tenable_id": {
"type": "string"
},
"kandji_id": {
"type": "string"
},
"criticality_description": {
"type": "string"
},
"auvik_id": {
"type": "string"
},
"is_template": {
"type": "boolean"
},
"aws_id": {
"type": "string"
},
"manageengine_id": {
"type": "string"
},
"manageengine_customer_id": {
"type": "string"
},
"lastchangeofvaluedate": {
"type": "string"
},
"commissiondate": {
"type": "string"
},
"first_user_id": {
"type": "integer"
},
"changebackupexists": {
"type": "boolean"
},
"_isbatch": {
"type": "boolean"
},
"virima_id": {
"type": "string"
},
"service_guid": {
"type": "string"
},
"service_name": {
"type": "string"
},
"lansweeperid": {
"type": "string"
},
"eracent_id": {
"type": "string"
},
"changehistory_last_updated": {
"type": "string"
},
"changehistory_updated_by": {
"type": "string"
},
"changehistory_created_by": {
"type": "string"
},
"changehistory_created_date": {
"type": "string"
},
"auto_link": {
"type": "boolean"
},
"impact_statement": {
"type": "string"
},
"activity_statement": {
"type": "string"
},
"raynet_id": {
"type": "string"
},
"armis_id": {
"type": "string"
},
"kaseyavsax_id": {
"type": "string"
},
"diagram_field1": {
"type": "string"
},
"diagram_field2": {
"type": "string"
},
"diagram_field3": {
"type": "string"
},
"ci_type": {
"type": "integer"
},
"manually_linked_ticket": {
"type": "boolean"
},
"_importtypeid": {
"type": "integer"
},
"_importthirdpartyid": {
"type": "string"
},
"new_external_link": {
"type": "object"
},
"import_details_id": {
"type": "integer"
},
"_isupdateimport": {
"type": "boolean"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"_match_integration_button_caption": {
"type": "string"
},
"_match_integration_button_url": {
"type": "string"
},
"_match_integration_button_icon": {
"type": "string"
}
}
},
"description": "Sibling Assets"
},
"import_details_id": {
"type": "integer",
"format": "int32",
"description": "Import Details Id"
},
"icinga_hostname": {
"type": "string",
"description": "Icinga Hostname"
},
"access_control": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Access Control"
},
"new_access_control": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "New Access Control"
},
"jamf_details_id": {
"type": "integer",
"format": "int32",
"description": "Jamf Details Id"
},
"access_control_level": {
"type": "integer",
"format": "int32",
"description": "Access Control Level"
},
"is_stock_change": {
"type": "boolean",
"description": "Is Stock Change"
},
"parent_third_party_id": {
"type": "integer",
"format": "int32",
"description": "Parent Third Party Id"
},
"is_return": {
"type": "boolean",
"description": "Is Return"
},
"_print_generate": {
"type": "boolean",
"description": "Print Generate"
},
"pdftemplate_id": {
"type": "integer",
"format": "int32",
"description": "Pdftemplate Id"
},
"printhtml": {
"type": "string",
"description": "The printhtml value"
},
"pdf_attachment_id": {
"type": "integer",
"format": "int32",
"description": "Pdf Attachment Id"
},
"_dont_fire_automations": {
"type": "boolean",
"description": "Dont Fire Automations"
},
"last_modified": {
"type": "string",
"format": "date-time",
"description": "Last Modified"
},
"asset_chart_json": {
"type": "string",
"description": "Asset Chart Json"
},
"lansweeper_site_id": {
"type": "string",
"description": "Lansweeper Site Id"
},
"thirdparty_client_id": {
"type": "integer",
"format": "int32",
"description": "Thirdparty Client Id"
},
"syncro_asset_type": {
"type": "string",
"description": "Syncro Asset Type"
},
"dynatrace_to_relations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string"
},
"id": {
"type": "string"
}
}
},
"description": "Dynatrace To Relations"
},
"dynatrace_from_relations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string"
},
"id": {
"type": "string"
}
}
},
"description": "Dynatrace From Relations"
},
"open_incident_count": {
"type": "integer",
"format": "int32",
"description": "Open Incident Count"
},
"open_change_count": {
"type": "integer",
"format": "int32",
"description": "Open Change Count"
},
"thirdparty_type_id": {
"type": "integer",
"format": "int32",
"description": "Thirdparty Type Id"
},
"is_stock_site": {
"type": "boolean",
"description": "Is Stock Site"
},
"matching_value": {
"type": "string",
"description": "Matching Value"
},
"related_service_names": {
"type": "string",
"description": "Related Service Names"
},
"parent_asset_names": {
"type": "string",
"description": "Parent Asset Names"
},
"child_asset_names": {
"type": "string",
"description": "Child Asset Names"
},
"sibling_asset_names": {
"type": "string",
"description": "Sibling Asset Names"
},
"related_kb_names": {
"type": "string",
"description": "Related Kb Names"
},
"licences": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"name": {
"type": "string"
},
"count": {
"type": "integer"
},
"consumedcount": {
"type": "integer"
},
"client_id": {
"type": "integer"
},
"site_id": {
"type": "integer"
},
"client_name": {
"type": "string"
},
"site_name": {
"type": "string"
},
"purchase_price": {
"type": "number"
},
"start_date": {
"type": "string"
},
"snowid": {
"type": "string"
},
"manufacturer": {
"type": "string"
},
"notes": {
"type": "string"
},
"licences_in_use": {
"type": "integer"
},
"licences_in_use_user": {
"type": "integer"
},
"licences_in_use_user_for_billing": {
"type": "integer"
},
"licences_available": {
"type": "integer"
},
"supplier_id": {
"type": "integer"
},
"supplier_name": {
"type": "string"
},
"licence_client_name": {
"type": "string"
},
"vendor": {
"type": "string"
},
"licence_roles": {
"type": "array"
},
"end_date": {
"type": "string"
},
"tenant_id": {
"type": "string"
},
"tenant_name": {
"type": "string"
},
"name_extra": {
"type": "string"
},
"deleted": {
"type": "boolean"
},
"assigned_at_deletion": {
"type": "integer"
},
"billing_cycle": {
"type": "string"
},
"term_duration": {
"type": "string"
},
"status": {
"type": "string"
},
"autorenew": {
"type": "boolean"
},
"_isimport": {
"type": "boolean"
},
"_importtype": {
"type": "string"
},
"sqlimport_id": {
"type": "integer"
},
"_importchildren": {
"type": "boolean"
},
"offerid": {
"type": "string"
},
"third_party_product": {
"type": "string"
},
"third_party_productid": {
"type": "string"
},
"third_party_productname": {
"type": "string"
},
"price": {
"type": "number"
},
"monthly_price": {
"type": "number"
},
"monthly_cost": {
"type": "number"
},
"_removed": {
"type": "boolean"
},
"distributor": {
"type": "string"
},
"is_active": {
"type": "boolean"
},
"azure_connection_id": {
"type": "integer"
},
"azure_connection": {
"type": "object"
},
"requested_quantity": {
"type": "integer"
},
"requested_quantity_date": {
"type": "string"
},
"_warning": {
"type": "string"
},
"ingram_micro_details_id": {
"type": "integer"
},
"rhipe_tenant_id": {
"type": "string"
},
"rhipe_subscription_id": {
"type": "string"
},
"_details_id": {
"type": "integer"
},
"snow_client_id": {
"type": "integer"
},
"thirdparty_client_id": {
"type": "string"
},
"product_sku": {
"type": "string"
},
"vendor_product_sku": {
"type": "string"
},
"parent_id": {
"type": "integer"
},
"configuration_items": {
"type": "array"
},
"add_configuration_items": {
"type": "array"
},
"licence_match": {
"type": "array"
},
"device_child_id": {
"type": "integer"
},
"device_count": {
"type": "integer"
},
"new_software": {
"type": "object"
},
"item_id": {
"type": "integer"
},
"linked_item": {
"type": "string"
},
"_create_recurring_invoice_line": {
"type": "boolean"
},
"allow_licence_update": {
"type": "boolean"
},
"_is_ui_import": {
"type": "boolean"
},
"external_link_id": {
"type": "integer"
},
"third_party_client_name": {
"type": "string"
},
"new_external_link": {
"type": "object"
}
}
},
"description": "The licences value"
},
"add_licences": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"name": {
"type": "string"
},
"count": {
"type": "integer"
},
"consumedcount": {
"type": "integer"
},
"client_id": {
"type": "integer"
},
"site_id": {
"type": "integer"
},
"client_name": {
"type": "string"
},
"site_name": {
"type": "string"
},
"purchase_price": {
"type": "number"
},
"start_date": {
"type": "string"
},
"snowid": {
"type": "string"
},
"manufacturer": {
"type": "string"
},
"notes": {
"type": "string"
},
"licences_in_use": {
"type": "integer"
},
"licences_in_use_user": {
"type": "integer"
},
"licences_in_use_user_for_billing": {
"type": "integer"
},
"licences_available": {
"type": "integer"
},
"supplier_id": {
"type": "integer"
},
"supplier_name": {
"type": "string"
},
"licence_client_name": {
"type": "string"
},
"vendor": {
"type": "string"
},
"licence_roles": {
"type": "array"
},
"end_date": {
"type": "string"
},
"tenant_id": {
"type": "string"
},
"tenant_name": {
"type": "string"
},
"name_extra": {
"type": "string"
},
"deleted": {
"type": "boolean"
},
"assigned_at_deletion": {
"type": "integer"
},
"billing_cycle": {
"type": "string"
},
"term_duration": {
"type": "string"
},
"status": {
"type": "string"
},
"autorenew": {
"type": "boolean"
},
"_isimport": {
"type": "boolean"
},
"_importtype": {
"type": "string"
},
"sqlimport_id": {
"type": "integer"
},
"_importchildren": {
"type": "boolean"
},
"offerid": {
"type": "string"
},
"third_party_product": {
"type": "string"
},
"third_party_productid": {
"type": "string"
},
"third_party_productname": {
"type": "string"
},
"price": {
"type": "number"
},
"monthly_price": {
"type": "number"
},
"monthly_cost": {
"type": "number"
},
"_removed": {
"type": "boolean"
},
"distributor": {
"type": "string"
},
"is_active": {
"type": "boolean"
},
"azure_connection_id": {
"type": "integer"
},
"azure_connection": {
"type": "object"
},
"requested_quantity": {
"type": "integer"
},
"requested_quantity_date": {
"type": "string"
},
"_warning": {
"type": "string"
},
"ingram_micro_details_id": {
"type": "integer"
},
"rhipe_tenant_id": {
"type": "string"
},
"rhipe_subscription_id": {
"type": "string"
},
"_details_id": {
"type": "integer"
},
"snow_client_id": {
"type": "integer"
},
"thirdparty_client_id": {
"type": "string"
},
"product_sku": {
"type": "string"
},
"vendor_product_sku": {
"type": "string"
},
"parent_id": {
"type": "integer"
},
"configuration_items": {
"type": "array"
},
"add_configuration_items": {
"type": "array"
},
"licence_match": {
"type": "array"
},
"device_child_id": {
"type": "integer"
},
"device_count": {
"type": "integer"
},
"new_software": {
"type": "object"
},
"item_id": {
"type": "integer"
},
"linked_item": {
"type": "string"
},
"_create_recurring_invoice_line": {
"type": "boolean"
},
"allow_licence_update": {
"type": "boolean"
},
"_is_ui_import": {
"type": "boolean"
},
"external_link_id": {
"type": "integer"
},
"third_party_client_name": {
"type": "string"
},
"new_external_link": {
"type": "object"
}
}
},
"description": "Add Licences"
},
"sqlimport_accountsid": {
"type": "string",
"description": "Sqlimport Accountsid"
},
"created_from_template": {
"type": "integer",
"format": "int32",
"description": "Created From Template"
},
"sqlimport_did": {
"type": "integer",
"format": "int32",
"description": "Sqlimport Did"
},
"linked_service": {
"type": "object",
"description": "Linked Service"
},
"is_linked_service": {
"type": "boolean",
"description": "Is Linked Service"
},
"is_linked_businessapp": {
"type": "boolean",
"description": "Is Linked Businessapp"
},
"runbook_button_id": {
"type": "integer",
"format": "int32",
"description": "Runbook Button Id"
},
"_addserialisedassets": {
"type": "boolean",
"description": "The addserialisedassets value"
},
"intune_lastsyncdatetime": {
"type": "string",
"format": "date-time",
"description": "Intune Lastsyncdatetime"
},
"add_parent_assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"changeguid": {
"type": "string"
},
"intent": {
"type": "string"
},
"inventory_number": {
"type": "string"
},
"key_field": {
"type": "string"
},
"key_field2": {
"type": "string"
},
"key_field3": {
"type": "string"
},
"client_id": {
"type": "integer"
},
"client_name": {
"type": "string"
},
"site_id": {
"type": "integer"
},
"site_name": {
"type": "string"
},
"business_owner_id": {
"type": "integer"
},
"business_owner_name": {
"type": "string"
},
"business_owner_site": {
"type": "string"
},
"business_owner_client": {
"type": "string"
},
"business_owner_cab_id": {
"type": "integer"
},
"business_owner_cab_name": {
"type": "string"
},
"username": {
"type": "string"
},
"technical_owner_id": {
"type": "integer"
},
"technical_owner_name": {
"type": "string"
},
"technical_owner_cab_id": {
"type": "integer"
},
"technical_owner_cab_name": {
"type": "string"
},
"intune_default_site": {
"type": "integer"
},
"assettype_id": {
"type": "integer"
},
"assettype_name": {
"type": "string"
},
"colour": {
"type": "string"
},
"icon": {
"type": "string"
},
"warranty_end": {
"type": "string"
},
"inactive": {
"type": "boolean"
},
"is_primary_asset": {
"type": "boolean"
},
"parent_id": {
"type": "integer"
},
"lansweeper_parent_id": {
"type": "string"
},
"child_id": {
"type": "integer"
},
"sibling_id": {
"type": "boolean"
},
"contract_value": {
"type": "number"
},
"contract_ref": {
"type": "string"
},
"contract_id": {
"type": "integer"
},
"supplier_id": {
"type": "integer"
},
"supplier_name": {
"type": "string"
},
"manufacturer_id": {
"type": "integer"
},
"manufacturer_name": {
"type": "string"
},
"supplier_contract_id": {
"type": "integer"
},
"supplier_contract_ref": {
"type": "string"
},
"supplier_sla_id": {
"type": "integer"
},
"supplier_priority_id": {
"type": "integer"
},
"fields": {
"type": "array"
},
"customfields": {
"type": "array"
},
"relationship_id": {
"type": "integer"
},
"default_contract_value": {
"type": "number"
},
"itemstock_id": {
"type": "integer"
},
"item_id": {
"type": "integer"
},
"stock_date": {
"type": "string"
},
"non_consignable": {
"type": "boolean"
},
"reserved_salesorder_id": {
"type": "integer"
},
"reserved_salesorder_line_id": {
"type": "integer"
},
"matching_field": {
"type": "string"
},
"is_auto_picking_asset_tag": {
"type": "boolean"
},
"device42_id": {
"type": "integer"
},
"device42_url": {
"type": "string"
},
"related_services": {
"type": "string"
},
"technical_owner": {
"type": "string"
},
"business_owner": {
"type": "string"
},
"primary_asset_chart_json": {
"type": "string"
},
"criticality": {
"type": "integer"
},
"service_id": {
"type": "integer"
},
"key": {
"type": "integer"
},
"table": {
"type": "integer"
},
"use": {
"type": "string"
},
"device_number": {
"type": "integer"
},
"assettype_guid": {
"type": "string"
},
"owning_portfolio_name": {
"type": "string"
},
"owning_service_name": {
"type": "string"
},
"owning_businessapp_name": {
"type": "string"
},
"owning_ci_name": {
"type": "string"
},
"warranty_start": {
"type": "string"
},
"labour_warranty_start": {
"type": "string"
},
"labour_warranty_end": {
"type": "string"
},
"parent_guid": {
"type": "string"
},
"child_guid": {
"type": "string"
},
"status_id": {
"type": "integer"
},
"status_name": {
"type": "string"
},
"third_party_id": {
"type": "integer"
},
"sla_name": {
"type": "string"
},
"priority_name": {
"type": "string"
},
"latest_contract_ref": {
"type": "string"
},
"sequence": {
"type": "integer"
},
"ncentral_url": {
"type": "string"
},
"ncentral_remote_url": {
"type": "string"
},
"contract_end_date": {
"type": "string"
},
"atera_id": {
"type": "string"
},
"automate_id": {
"type": "integer"
},
"automate_url": {
"type": "string"
},
"connectwise_control_url": {
"type": "string"
},
"ninjarmm_id": {
"type": "integer"
},
"ninja_url": {
"type": "string"
},
"ninja_remote_url": {
"type": "string"
},
"syncro_url": {
"type": "string"
},
"syncroid": {
"type": "integer"
},
"itglue_url": {
"type": "string"
},
"defaultsequence": {
"type": "integer"
},
"service_ids": {
"type": "string"
},
"bulkcreated": {
"type": "boolean"
},
"bulkbillingperiod": {
"type": "integer"
},
"asset_field": {
"type": "string"
},
"datto_alternate_id": {
"type": "integer"
},
"syncro_id": {
"type": "string"
},
"domotz_id": {
"type": "string"
},
"snow_id": {
"type": "integer"
},
"passportal_id": {
"type": "integer"
},
"auvik_device_id": {
"type": "string"
},
"auvik_url": {
"type": "string"
},
"allowallstatus": {
"type": "boolean"
},
"allowed_status": {
"type": "array"
},
"allowallcustombuttons": {
"type": "boolean"
},
"allowed_custombuttons": {
"type": "array"
},
"datto_id": {
"type": "string"
},
"addigy_id": {
"type": "string"
},
"liongard_url": {
"type": "string"
},
"liongard_environmnet_id": {
"type": "integer"
},
"liongard_id": {
"type": "string"
},
"kaseya_id": {
"type": "string"
},
"iskaseyaagent": {
"type": "boolean"
},
"kaseyavsa_url": {
"type": "string"
},
"addigy_url": {
"type": "string"
},
"teamviewerid": {
"type": "string"
},
"serialization_user": {
"type": "integer"
},
"zabbix_id": {
"type": "string"
},
"zabbix_url": {
"type": "string"
},
"stockbin_name": {
"type": "string"
},
"issue_consignment_line_id": {
"type": "integer"
},
"item_name": {
"type": "string"
},
"datto_url": {
"type": "string"
},
"ncentral_details_id": {
"type": "integer"
},
"nable_id": {
"type": "string"
},
"connectwisecontrolid": {
"type": "string"
},
"_isimport": {
"type": "boolean"
},
"_importtype": {
"type": "string"
},
"workspace_id": {
"type": "string"
},
"workspace_url": {
"type": "string"
},
"intune_id": {
"type": "string"
},
"supplier_purchasedate": {
"type": "string"
},
"logicmonitor_id": {
"type": "string"
},
"barracudarmm_id": {
"type": "string"
},
"sla_id": {
"type": "integer"
},
"priority_id": {
"type": "integer"
},
"icinga_id": {
"type": "string"
},
"related_service_name": {
"type": "string"
},
"related_service_count": {
"type": "integer"
},
"connectwisermm_id": {
"type": "string"
},
"xensam_id": {
"type": "string"
},
"asset_type_priority": {
"type": "integer"
},
"snipeit_id": {
"type": "string"
},
"prometheus_id": {
"type": "string"
},
"dynatrace_id": {
"type": "string"
},
"vmworkspace_id": {
"type": "string"
},
"tanium_id": {
"type": "string"
},
"tenable_id": {
"type": "string"
},
"kandji_id": {
"type": "string"
},
"criticality_description": {
"type": "string"
},
"auvik_id": {
"type": "string"
},
"is_template": {
"type": "boolean"
},
"aws_id": {
"type": "string"
},
"manageengine_id": {
"type": "string"
},
"manageengine_customer_id": {
"type": "string"
},
"lastchangeofvaluedate": {
"type": "string"
},
"commissiondate": {
"type": "string"
},
"first_user_id": {
"type": "integer"
},
"changebackupexists": {
"type": "boolean"
},
"_isbatch": {
"type": "boolean"
},
"virima_id": {
"type": "string"
},
"service_guid": {
"type": "string"
},
"service_name": {
"type": "string"
},
"lansweeperid": {
"type": "string"
},
"eracent_id": {
"type": "string"
},
"changehistory_last_updated": {
"type": "string"
},
"changehistory_updated_by": {
"type": "string"
},
"changehistory_created_by": {
"type": "string"
},
"changehistory_created_date": {
"type": "string"
},
"auto_link": {
"type": "boolean"
},
"impact_statement": {
"type": "string"
},
"activity_statement": {
"type": "string"
},
"raynet_id": {
"type": "string"
},
"armis_id": {
"type": "string"
},
"kaseyavsax_id": {
"type": "string"
},
"diagram_field1": {
"type": "string"
},
"diagram_field2": {
"type": "string"
},
"diagram_field3": {
"type": "string"
},
"ci_type": {
"type": "integer"
},
"manually_linked_ticket": {
"type": "boolean"
},
"_importtypeid": {
"type": "integer"
},
"_importthirdpartyid": {
"type": "string"
},
"new_external_link": {
"type": "object"
},
"import_details_id": {
"type": "integer"
},
"_isupdateimport": {
"type": "boolean"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"_match_integration_button_caption": {
"type": "string"
},
"_match_integration_button_url": {
"type": "string"
},
"_match_integration_button_icon": {
"type": "string"
}
}
},
"description": "Add Parent Assets"
},
"add_child_assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"changeguid": {
"type": "string"
},
"intent": {
"type": "string"
},
"inventory_number": {
"type": "string"
},
"key_field": {
"type": "string"
},
"key_field2": {
"type": "string"
},
"key_field3": {
"type": "string"
},
"client_id": {
"type": "integer"
},
"client_name": {
"type": "string"
},
"site_id": {
"type": "integer"
},
"site_name": {
"type": "string"
},
"business_owner_id": {
"type": "integer"
},
"business_owner_name": {
"type": "string"
},
"business_owner_site": {
"type": "string"
},
"business_owner_client": {
"type": "string"
},
"business_owner_cab_id": {
"type": "integer"
},
"business_owner_cab_name": {
"type": "string"
},
"username": {
"type": "string"
},
"technical_owner_id": {
"type": "integer"
},
"technical_owner_name": {
"type": "string"
},
"technical_owner_cab_id": {
"type": "integer"
},
"technical_owner_cab_name": {
"type": "string"
},
"intune_default_site": {
"type": "integer"
},
"assettype_id": {
"type": "integer"
},
"assettype_name": {
"type": "string"
},
"colour": {
"type": "string"
},
"icon": {
"type": "string"
},
"warranty_end": {
"type": "string"
},
"inactive": {
"type": "boolean"
},
"is_primary_asset": {
"type": "boolean"
},
"parent_id": {
"type": "integer"
},
"lansweeper_parent_id": {
"type": "string"
},
"child_id": {
"type": "integer"
},
"sibling_id": {
"type": "boolean"
},
"contract_value": {
"type": "number"
},
"contract_ref": {
"type": "string"
},
"contract_id": {
"type": "integer"
},
"supplier_id": {
"type": "integer"
},
"supplier_name": {
"type": "string"
},
"manufacturer_id": {
"type": "integer"
},
"manufacturer_name": {
"type": "string"
},
"supplier_contract_id": {
"type": "integer"
},
"supplier_contract_ref": {
"type": "string"
},
"supplier_sla_id": {
"type": "integer"
},
"supplier_priority_id": {
"type": "integer"
},
"fields": {
"type": "array"
},
"customfields": {
"type": "array"
},
"relationship_id": {
"type": "integer"
},
"default_contract_value": {
"type": "number"
},
"itemstock_id": {
"type": "integer"
},
"item_id": {
"type": "integer"
},
"stock_date": {
"type": "string"
},
"non_consignable": {
"type": "boolean"
},
"reserved_salesorder_id": {
"type": "integer"
},
"reserved_salesorder_line_id": {
"type": "integer"
},
"matching_field": {
"type": "string"
},
"is_auto_picking_asset_tag": {
"type": "boolean"
},
"device42_id": {
"type": "integer"
},
"device42_url": {
"type": "string"
},
"related_services": {
"type": "string"
},
"technical_owner": {
"type": "string"
},
"business_owner": {
"type": "string"
},
"primary_asset_chart_json": {
"type": "string"
},
"criticality": {
"type": "integer"
},
"service_id": {
"type": "integer"
},
"key": {
"type": "integer"
},
"table": {
"type": "integer"
},
"use": {
"type": "string"
},
"device_number": {
"type": "integer"
},
"assettype_guid": {
"type": "string"
},
"owning_portfolio_name": {
"type": "string"
},
"owning_service_name": {
"type": "string"
},
"owning_businessapp_name": {
"type": "string"
},
"owning_ci_name": {
"type": "string"
},
"warranty_start": {
"type": "string"
},
"labour_warranty_start": {
"type": "string"
},
"labour_warranty_end": {
"type": "string"
},
"parent_guid": {
"type": "string"
},
"child_guid": {
"type": "string"
},
"status_id": {
"type": "integer"
},
"status_name": {
"type": "string"
},
"third_party_id": {
"type": "integer"
},
"sla_name": {
"type": "string"
},
"priority_name": {
"type": "string"
},
"latest_contract_ref": {
"type": "string"
},
"sequence": {
"type": "integer"
},
"ncentral_url": {
"type": "string"
},
"ncentral_remote_url": {
"type": "string"
},
"contract_end_date": {
"type": "string"
},
"atera_id": {
"type": "string"
},
"automate_id": {
"type": "integer"
},
"automate_url": {
"type": "string"
},
"connectwise_control_url": {
"type": "string"
},
"ninjarmm_id": {
"type": "integer"
},
"ninja_url": {
"type": "string"
},
"ninja_remote_url": {
"type": "string"
},
"syncro_url": {
"type": "string"
},
"syncroid": {
"type": "integer"
},
"itglue_url": {
"type": "string"
},
"defaultsequence": {
"type": "integer"
},
"service_ids": {
"type": "string"
},
"bulkcreated": {
"type": "boolean"
},
"bulkbillingperiod": {
"type": "integer"
},
"asset_field": {
"type": "string"
},
"datto_alternate_id": {
"type": "integer"
},
"syncro_id": {
"type": "string"
},
"domotz_id": {
"type": "string"
},
"snow_id": {
"type": "integer"
},
"passportal_id": {
"type": "integer"
},
"auvik_device_id": {
"type": "string"
},
"auvik_url": {
"type": "string"
},
"allowallstatus": {
"type": "boolean"
},
"allowed_status": {
"type": "array"
},
"allowallcustombuttons": {
"type": "boolean"
},
"allowed_custombuttons": {
"type": "array"
},
"datto_id": {
"type": "string"
},
"addigy_id": {
"type": "string"
},
"liongard_url": {
"type": "string"
},
"liongard_environmnet_id": {
"type": "integer"
},
"liongard_id": {
"type": "string"
},
"kaseya_id": {
"type": "string"
},
"iskaseyaagent": {
"type": "boolean"
},
"kaseyavsa_url": {
"type": "string"
},
"addigy_url": {
"type": "string"
},
"teamviewerid": {
"type": "string"
},
"serialization_user": {
"type": "integer"
},
"zabbix_id": {
"type": "string"
},
"zabbix_url": {
"type": "string"
},
"stockbin_name": {
"type": "string"
},
"issue_consignment_line_id": {
"type": "integer"
},
"item_name": {
"type": "string"
},
"datto_url": {
"type": "string"
},
"ncentral_details_id": {
"type": "integer"
},
"nable_id": {
"type": "string"
},
"connectwisecontrolid": {
"type": "string"
},
"_isimport": {
"type": "boolean"
},
"_importtype": {
"type": "string"
},
"workspace_id": {
"type": "string"
},
"workspace_url": {
"type": "string"
},
"intune_id": {
"type": "string"
},
"supplier_purchasedate": {
"type": "string"
},
"logicmonitor_id": {
"type": "string"
},
"barracudarmm_id": {
"type": "string"
},
"sla_id": {
"type": "integer"
},
"priority_id": {
"type": "integer"
},
"icinga_id": {
"type": "string"
},
"related_service_name": {
"type": "string"
},
"related_service_count": {
"type": "integer"
},
"connectwisermm_id": {
"type": "string"
},
"xensam_id": {
"type": "string"
},
"asset_type_priority": {
"type": "integer"
},
"snipeit_id": {
"type": "string"
},
"prometheus_id": {
"type": "string"
},
"dynatrace_id": {
"type": "string"
},
"vmworkspace_id": {
"type": "string"
},
"tanium_id": {
"type": "string"
},
"tenable_id": {
"type": "string"
},
"kandji_id": {
"type": "string"
},
"criticality_description": {
"type": "string"
},
"auvik_id": {
"type": "string"
},
"is_template": {
"type": "boolean"
},
"aws_id": {
"type": "string"
},
"manageengine_id": {
"type": "string"
},
"manageengine_customer_id": {
"type": "string"
},
"lastchangeofvaluedate": {
"type": "string"
},
"commissiondate": {
"type": "string"
},
"first_user_id": {
"type": "integer"
},
"changebackupexists": {
"type": "boolean"
},
"_isbatch": {
"type": "boolean"
},
"virima_id": {
"type": "string"
},
"service_guid": {
"type": "string"
},
"service_name": {
"type": "string"
},
"lansweeperid": {
"type": "string"
},
"eracent_id": {
"type": "string"
},
[...]
